//Hi551_tables.c
/******************************************************************************
 *
 * The copyright in this software is owned by Rockchip and/or its licensors.
 * This software is made available subject to the conditions of the license 
 * terms to be determined and negotiated by Rockchip and you.
 * THIS SOFTWARE IS PROVIDED TO YOU ON AN "AS IS" BASIS and ROCKCHP AND/OR 
 * ITS LICENSORS DISCLAIMS ANY AND ALL WARRANTIES AND REPRESENTATIONS WITH 
 * RESPECT TO SUCH SOFTWARE, WHETHER EXPRESS,IMPLIED, STATUTORY OR OTHERWISE, 
 * INCLUDING WITHOUT LIMITATION, ANY IMPLIED WARRANTIES OF TITLE, NON-INFRINGEMENT, 
 * MERCHANTABILITY, SATISFACTROY QUALITY, ACCURACY OR FITNESS FOR A PARTICULAR PURPOSE. 
 * Except as expressively authorized by Rockchip and/or its licensors, you may not 
 * (a) disclose, distribute, sell, sub-license, or transfer this software to any third party, 
 * in whole or part; (b) modify this software, in whole or part; (c) decompile, reverse-engineer, 
 * dissemble, or attempt to derive any source code from the software.
 *
 *****************************************************************************/
/*
#include "stdinc.h"

#if( Hi551_DRIVER_USAGE == USE_CAM_DRV_EN )
*/


#include <ebase/types.h>
#include <ebase/trace.h>
#include <ebase/builtins.h>

#include <common/return_codes.h>

#include "isi.h"
#include "isi_iss.h"
#include "isi_priv.h"
#include "Hi551_MIPI_priv.h"


/*****************************************************************************
 * DEFINES
 *****************************************************************************/


/*****************************************************************************
 * GLOBALS
 *****************************************************************************/

// Image sensor register settings default values taken from data sheet OV13850_DS_1.1_SiliconImage.pdf.
// The settings may be altered by the code in IsiSetupSensor.

//four lane
const IsiRegDescription_t Sensor_g_aRegDescription_fourlane[] =
{

	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};

const IsiRegDescription_t Sensor_g_fourlane_resolution_1296_972[] =
{
	//XVCLK=24Mhz, SCLK=4x120Mhz, MIPI 640Mbps, DACCLK=240Mhz

	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};


const IsiRegDescription_t Sensor_g_fourlane_resolution_2592_1944[] =
{
	//;XVCLK=24Mhz, SCLK=4x120Mhz, MIPI 640Mbps, DACCLK=240Mhz

	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};


//two lane
const IsiRegDescription_t Sensor_g_aRegDescription_twolane[] =
{

//====================================================================
// Hi-551 Initialize Register
// Ver 140918
// Validation/Project
//====================================================================
 
{0x0134, 0x1C1F, "0x0100", eReadWrite},        // Extra Dynamic Signal control
//====================================================================
// software code
//   - d2a_signal ver. 20140918
//   - tg ver. 20131112
//====================================================================
// Firmware tg_pt
{0x2000, 0x4031, "0x0100", eReadWrite}, 
{0x2002, 0x8400, "0x0100", eReadWrite}, 
{0x2004, 0x4307, "0x0100", eReadWrite}, 
{0x2006, 0x4382, "0x0100", eReadWrite}, 
{0x2008, 0x8144, "0x0100", eReadWrite}, 
{0x200a, 0x4382, "0x0100", eReadWrite}, 
{0x200c, 0x8104, "0x0100", eReadWrite}, 
{0x200e, 0x4392, "0x0100", eReadWrite}, 
{0x2010, 0x731C, "0x0100", eReadWrite}, 
{0x2012, 0x4392, "0x0100", eReadWrite}, 
{0x2014, 0x8118, "0x0100", eReadWrite}, 
{0x2016, 0x4382, "0x0100", eReadWrite}, 
{0x2018, 0x8128, "0x0100", eReadWrite}, 
{0x201a, 0x4382, "0x0100", eReadWrite}, 
{0x201c, 0x8126, "0x0100", eReadWrite}, 
{0x201e, 0x4382, "0x0100", eReadWrite}, 
{0x2020, 0x8100, "0x0100", eReadWrite}, 
{0x2022, 0x4382, "0x0100", eReadWrite}, 
{0x2024, 0x811E, "0x0100", eReadWrite}, 
{0x2026, 0x4382, "0x0100", eReadWrite}, 
{0x2028, 0x811C, "0x0100", eReadWrite}, 
{0x202a, 0x4382, "0x0100", eReadWrite}, 
{0x202c, 0x811A, "0x0100", eReadWrite}, 
{0x202e, 0x4382, "0x0100", eReadWrite}, 
{0x2030, 0x8108, "0x0100", eReadWrite}, 
{0x2032, 0x4382, "0x0100", eReadWrite}, 
{0x2034, 0x8124, "0x0100", eReadWrite}, 
{0x2036, 0x430B, "0x0100", eReadWrite}, 
{0x2038, 0x93D2, "0x0100", eReadWrite}, 
{0x203a, 0x003F, "0x0100", eReadWrite}, 
{0x203c, 0x2002, "0x0100", eReadWrite}, 
{0x203e, 0x4030, "0x0100", eReadWrite}, 
{0x2040, 0xF70E, "0x0100", eReadWrite}, 
{0x2042, 0x43C2, "0x0100", eReadWrite}, 
{0x2044, 0x0F82, "0x0100", eReadWrite}, 
{0x2046, 0x425F, "0x0100", eReadWrite}, 
{0x2048, 0x0198, "0x0100", eReadWrite}, 
{0x204a, 0xF37F, "0x0100", eReadWrite}, 
{0x204c, 0x930F, "0x0100", eReadWrite}, 
{0x204e, 0x2002, "0x0100", eReadWrite}, 
{0x2050, 0x0CC8, "0x0100", eReadWrite}, 
{0x2052, 0x3FF9, "0x0100", eReadWrite}, 
{0x2054, 0x4F82, "0x0100", eReadWrite}, 
{0x2056, 0x8122, "0x0100", eReadWrite}, 
{0x2058, 0x43D2, "0x0100", eReadWrite}, 
{0x205a, 0x0A80, "0x0100", eReadWrite}, 
{0x205c, 0x43D2, "0x0100", eReadWrite}, 
{0x205e, 0x0180, "0x0100", eReadWrite}, 
{0x2060, 0x4392, "0x0100", eReadWrite}, 
{0x2062, 0x019A, "0x0100", eReadWrite}, 
{0x2064, 0x40B2, "0x0100", eReadWrite}, 
{0x2066, 0x0009, "0x0100", eReadWrite}, 
{0x2068, 0x019B, "0x0100", eReadWrite}, 
{0x206a, 0x12B0, "0x0100", eReadWrite}, 
{0x206c, 0xFD48, "0x0100", eReadWrite}, 
{0x206e, 0x93D2, "0x0100", eReadWrite}, 
{0x2070, 0x003E, "0x0100", eReadWrite}, 
{0x2072, 0x2002, "0x0100", eReadWrite}, 
{0x2074, 0x4030, "0x0100", eReadWrite}, 
{0x2076, 0xF5D2, "0x0100", eReadWrite}, 
{0x2078, 0x4382, "0x0100", eReadWrite}, 
{0x207a, 0x8120, "0x0100", eReadWrite}, 
{0x207c, 0x4382, "0x0100", eReadWrite}, 
{0x207e, 0x8102, "0x0100", eReadWrite}, 
{0x2080, 0x421F, "0x0100", eReadWrite}, 
{0x2082, 0x8120, "0x0100", eReadWrite}, 
{0x2084, 0x521F, "0x0100", eReadWrite}, 
{0x2086, 0x8102, "0x0100", eReadWrite}, 
{0x2088, 0x503F, "0x0100", eReadWrite}, 
{0x208a, 0x0030, "0x0100", eReadWrite}, 
{0x208c, 0x12B0, "0x0100", eReadWrite}, 
{0x208e, 0xFD5A, "0x0100", eReadWrite}, 
{0x2090, 0x421E, "0x0100", eReadWrite}, 
{0x2092, 0x8102, "0x0100", eReadWrite}, 
{0x2094, 0x4E0F, "0x0100", eReadWrite}, 
{0x2096, 0x5F0F, "0x0100", eReadWrite}, 
{0x2098, 0x429F, "0x0100", eReadWrite}, 
{0x209a, 0x7606, "0x0100", eReadWrite}, 
{0x209c, 0x8132, "0x0100", eReadWrite}, 
{0x209e, 0x531E, "0x0100", eReadWrite}, 
{0x20a0, 0x4E82, "0x0100", eReadWrite}, 
{0x20a2, 0x8102, "0x0100", eReadWrite}, 
{0x20a4, 0x903E, "0x0100", eReadWrite}, 
{0x20a6, 0x0003, "0x0100", eReadWrite}, 
{0x20a8, 0x3BEB, "0x0100", eReadWrite}, 
{0x20aa, 0x421F, "0x0100", eReadWrite}, 
{0x20ac, 0x8134, "0x0100", eReadWrite}, 
{0x20ae, 0x4F0D, "0x0100", eReadWrite}, 
{0x20b0, 0xF03D, "0x0100", eReadWrite}, 
{0x20b2, 0x000F, "0x0100", eReadWrite}, 
{0x20b4, 0x108D, "0x0100", eReadWrite}, 
{0x20b6, 0x521D, "0x0100", eReadWrite}, 
{0x20b8, 0x8132, "0x0100", eReadWrite}, 
{0x20ba, 0x4D82, "0x0100", eReadWrite}, 
{0x20bc, 0x8130, "0x0100", eReadWrite}, 
{0x20be, 0x421E, "0x0100", eReadWrite}, 
{0x20c0, 0x8136, "0x0100", eReadWrite}, 
{0x20c2, 0x5E0E, "0x0100", eReadWrite}, 
{0x20c4, 0x5E0E, "0x0100", eReadWrite}, 
{0x20c6, 0x5E0E, "0x0100", eReadWrite}, 
{0x20c8, 0x5E0E, "0x0100", eReadWrite}, 
{0x20ca, 0xC312, "0x0100", eReadWrite}, 
{0x20cc, 0x100F, "0x0100", eReadWrite}, 
{0x20ce, 0x110F, "0x0100", eReadWrite}, 
{0x20d0, 0x110F, "0x0100", eReadWrite}, 
{0x20d2, 0x110F, "0x0100", eReadWrite}, 
{0x20d4, 0x5F0E, "0x0100", eReadWrite}, 
{0x20d6, 0x4E82, "0x0100", eReadWrite}, 
{0x20d8, 0x812E, "0x0100", eReadWrite}, 
{0x20da, 0x4D8B, "0x0100", eReadWrite}, 
{0x20dc, 0x5000, "0x0100", eReadWrite}, 
{0x20de, 0x429B, "0x0100", eReadWrite}, 
{0x20e0, 0x812E, "0x0100", eReadWrite}, 
{0x20e2, 0x6000, "0x0100", eReadWrite}, 
{0x20e4, 0x532B, "0x0100", eReadWrite}, 
{0x20e6, 0x421F, "0x0100", eReadWrite}, 
{0x20e8, 0x8120, "0x0100", eReadWrite}, 
{0x20ea, 0x503F, "0x0100", eReadWrite}, 
{0x20ec, 0x0003, "0x0100", eReadWrite}, 
{0x20ee, 0x4F82, "0x0100", eReadWrite}, 
{0x20f0, 0x8120, "0x0100", eReadWrite}, 
{0x20f2, 0x903F, "0x0100", eReadWrite}, 
{0x20f4, 0x0300, "0x0100", eReadWrite}, 
{0x20f6, 0x3BC2, "0x0100", eReadWrite}, 
{0x20f8, 0x0261, "0x0100", eReadWrite}, 
{0x20fa, 0x0000, "0x0100", eReadWrite}, 
{0x20fc, 0x43C2, "0x0100", eReadWrite}, 
{0x20fe, 0x0180, "0x0100", eReadWrite}, 
{0x2100, 0x43D2, "0x0100", eReadWrite}, 
{0x2102, 0x003F, "0x0100", eReadWrite}, 
{0x2104, 0x403F, "0x0100", eReadWrite}, 
{0x2106, 0x0B80, "0x0100", eReadWrite}, 
{0x2108, 0x4F2E, "0x0100", eReadWrite}, 
{0x210a, 0xD03E, "0x0100", eReadWrite}, 
{0x210c, 0x8000, "0x0100", eReadWrite}, 
{0x210e, 0x4E82, "0x0100", eReadWrite}, 
{0x2110, 0x0B20, "0x0100", eReadWrite}, 
{0x2112, 0xD0BF, "0x0100", eReadWrite}, 
{0x2114, 0x8000, "0x0100", eReadWrite}, 
{0x2116, 0x0000, "0x0100", eReadWrite}, 
{0x2118, 0x0C0A, "0x0100", eReadWrite}, 
{0x211a, 0x40B2, "0x0100", eReadWrite}, 
{0x211c, 0x8085, "0x0100", eReadWrite}, 
{0x211e, 0x0B20, "0x0100", eReadWrite}, 
{0x2120, 0x40B2, "0x0100", eReadWrite}, 
{0x2122, 0x8085, "0x0100", eReadWrite}, 
{0x2124, 0x0B88, "0x0100", eReadWrite}, 
{0x2126, 0x0C0A, "0x0100", eReadWrite}, 
{0x2128, 0x40B2, "0x0100", eReadWrite}, 
{0x212a, 0xBD49, "0x0100", eReadWrite}, 
{0x212c, 0x0B20, "0x0100", eReadWrite}, 
{0x212e, 0x40B2, "0x0100", eReadWrite}, 
{0x2130, 0xBD49, "0x0100", eReadWrite}, 
{0x2132, 0x0B8A, "0x0100", eReadWrite}, 
{0x2134, 0x0C0A, "0x0100", eReadWrite}, 
{0x2136, 0x40B2, "0x0100", eReadWrite}, 
{0x2138, 0xE1BC, "0x0100", eReadWrite}, 
{0x213a, 0x0B20, "0x0100", eReadWrite}, 
{0x213c, 0x40B2, "0x0100", eReadWrite}, 
{0x213e, 0xE1BC, "0x0100", eReadWrite}, 
{0x2140, 0x0B8C, "0x0100", eReadWrite}, 
{0x2142, 0x0C0A, "0x0100", eReadWrite}, 
{0x2144, 0x40B2, "0x0100", eReadWrite}, 
{0x2146, 0x0500, "0x0100", eReadWrite}, 
{0x2148, 0x0B20, "0x0100", eReadWrite}, 
{0x214a, 0x40B2, "0x0100", eReadWrite}, 
{0x214c, 0x0500, "0x0100", eReadWrite}, 
{0x214e, 0x0B9E, "0x0100", eReadWrite}, 
{0x2150, 0x0C0A, "0x0100", eReadWrite}, 
{0x2152, 0x43D2, "0x0100", eReadWrite}, 
{0x2154, 0x0F82, "0x0100", eReadWrite}, 
{0x2156, 0x0C3C, "0x0100", eReadWrite}, 
{0x2158, 0x0C3C, "0x0100", eReadWrite}, 
{0x215a, 0x0C3C, "0x0100", eReadWrite}, 
{0x215c, 0x0C3C, "0x0100", eReadWrite}, 
{0x215e, 0x421F, "0x0100", eReadWrite}, 
{0x2160, 0x00A6, "0x0100", eReadWrite}, 
{0x2162, 0x503F, "0x0100", eReadWrite}, 
{0x2164, 0x07D0, "0x0100", eReadWrite}, 
{0x2166, 0x3811, "0x0100", eReadWrite}, 
{0x2168, 0x4F82, "0x0100", eReadWrite}, 
{0x216a, 0x7100, "0x0100", eReadWrite}, 
{0x216c, 0x0004, "0x0100", eReadWrite}, 
{0x216e, 0x0C0D, "0x0100", eReadWrite}, 
{0x2170, 0x0005, "0x0100", eReadWrite}, 
{0x2172, 0x0C04, "0x0100", eReadWrite}, 
{0x2174, 0x000D, "0x0100", eReadWrite}, 
{0x2176, 0x0C09, "0x0100", eReadWrite}, 
{0x2178, 0x003D, "0x0100", eReadWrite}, 
{0x217a, 0x0C1D, "0x0100", eReadWrite}, 
{0x217c, 0x003C, "0x0100", eReadWrite}, 
{0x217e, 0x0C13, "0x0100", eReadWrite}, 
{0x2180, 0x0004, "0x0100", eReadWrite}, 
{0x2182, 0x0C09, "0x0100", eReadWrite}, 
{0x2184, 0x0004, "0x0100", eReadWrite}, 
{0x2186, 0x533F, "0x0100", eReadWrite}, 
{0x2188, 0x37EF, "0x0100", eReadWrite}, 
{0x218a, 0x40B2, "0x0100", eReadWrite}, 
{0x218c, 0x0028, "0x0100", eReadWrite}, 
{0x218e, 0x7000, "0x0100", eReadWrite}, 
{0x2190, 0x43A2, "0x0100", eReadWrite}, 
{0x2192, 0x812C, "0x0100", eReadWrite}, 
{0x2194, 0xB3E2, "0x0100", eReadWrite}, 
{0x2196, 0x00B4, "0x0100", eReadWrite}, 
{0x2198, 0x2402, "0x0100", eReadWrite}, 
{0x219a, 0x4392, "0x0100", eReadWrite}, 
{0x219c, 0x812C, "0x0100", eReadWrite}, 
{0x219e, 0x4328, "0x0100", eReadWrite}, 
{0x21a0, 0xB3D2, "0x0100", eReadWrite}, 
{0x21a2, 0x00B4, "0x0100", eReadWrite}, 
{0x21a4, 0x2002, "0x0100", eReadWrite}, 
{0x21a6, 0x4030, "0x0100", eReadWrite}, 
{0x21a8, 0xF5C2, "0x0100", eReadWrite}, 
{0x21aa, 0x4308, "0x0100", eReadWrite}, 
{0x21ac, 0x40B2, "0x0100", eReadWrite}, 
{0x21ae, 0x0005, "0x0100", eReadWrite}, 
{0x21b0, 0x7320, "0x0100", eReadWrite}, 
{0x21b2, 0x4392, "0x0100", eReadWrite}, 
{0x21b4, 0x7326, "0x0100", eReadWrite}, 
{0x21b6, 0x12B0, "0x0100", eReadWrite}, 
{0x21b8, 0xF91E, "0x0100", eReadWrite}, 
{0x21ba, 0x4392, "0x0100", eReadWrite}, 
{0x21bc, 0x731C, "0x0100", eReadWrite}, 
{0x21be, 0x9382, "0x0100", eReadWrite}, 
{0x21c0, 0x8118, "0x0100", eReadWrite}, 
{0x21c2, 0x200A, "0x0100", eReadWrite}, 
{0x21c4, 0x0B00, "0x0100", eReadWrite}, 
{0x21c6, 0x7302, "0x0100", eReadWrite}, 
{0x21c8, 0x02BC, "0x0100", eReadWrite}, 
{0x21ca, 0x4382, "0x0100", eReadWrite}, 
{0x21cc, 0x7004, "0x0100", eReadWrite}, 
{0x21ce, 0x430F, "0x0100", eReadWrite}, 
{0x21d0, 0x12B0, "0x0100", eReadWrite}, 
{0x21d2, 0xF7C8, "0x0100", eReadWrite}, 
{0x21d4, 0x12B0, "0x0100", eReadWrite}, 
{0x21d6, 0xF91E, "0x0100", eReadWrite}, 
{0x21d8, 0x4392, "0x0100", eReadWrite}, 
{0x21da, 0x8138, "0x0100", eReadWrite}, 
{0x21dc, 0x4382, "0x0100", eReadWrite}, 
{0x21de, 0x740E, "0x0100", eReadWrite}, 
{0x21e0, 0xB3E2, "0x0100", eReadWrite}, 
{0x21e2, 0x0080, "0x0100", eReadWrite}, 
{0x21e4, 0x2402, "0x0100", eReadWrite}, 
{0x21e6, 0x4392, "0x0100", eReadWrite}, 
{0x21e8, 0x740E, "0x0100", eReadWrite}, 
{0x21ea, 0x431F, "0x0100", eReadWrite}, 
{0x21ec, 0x12B0, "0x0100", eReadWrite}, 
{0x21ee, 0xF7C8, "0x0100", eReadWrite}, 
{0x21f0, 0x4392, "0x0100", eReadWrite}, 
{0x21f2, 0x7004, "0x0100", eReadWrite}, 
{0x21f4, 0x4882, "0x0100", eReadWrite}, 
{0x21f6, 0x7110, "0x0100", eReadWrite}, 
{0x21f8, 0x403F, "0x0100", eReadWrite}, 
{0x21fa, 0x732A, "0x0100", eReadWrite}, 
{0x21fc, 0x4F2E, "0x0100", eReadWrite}, 
{0x21fe, 0xF31E, "0x0100", eReadWrite}, 
{0x2200, 0x4E82, "0x0100", eReadWrite}, 
{0x2202, 0x8100, "0x0100", eReadWrite}, 
{0x2204, 0x4F2F, "0x0100", eReadWrite}, 
{0x2206, 0xF32F, "0x0100", eReadWrite}, 
{0x2208, 0x4F82, "0x0100", eReadWrite}, 
{0x220a, 0x811C, "0x0100", eReadWrite}, 
{0x220c, 0xD21F, "0x0100", eReadWrite}, 
{0x220e, 0x811A, "0x0100", eReadWrite}, 
{0x2210, 0x4F82, "0x0100", eReadWrite}, 
{0x2212, 0x8116, "0x0100", eReadWrite}, 
{0x2214, 0x9382, "0x0100", eReadWrite}, 
{0x2216, 0x810C, "0x0100", eReadWrite}, 
{0x2218, 0x2403, "0x0100", eReadWrite}, 
{0x221a, 0x9392, "0x0100", eReadWrite}, 
{0x221c, 0x7110, "0x0100", eReadWrite}, 
{0x221e, 0x2128, "0x0100", eReadWrite}, 
{0x2220, 0x9392, "0x0100", eReadWrite}, 
{0x2222, 0x7110, "0x0100", eReadWrite}, 
{0x2224, 0x2098, "0x0100", eReadWrite}, 
{0x2226, 0x0B00, "0x0100", eReadWrite}, 
{0x2228, 0x7302, "0x0100", eReadWrite}, 
{0x222a, 0x0032, "0x0100", eReadWrite}, 
{0x222c, 0x4382, "0x0100", eReadWrite}, 
{0x222e, 0x7004, "0x0100", eReadWrite}, 
{0x2230, 0x422F, "0x0100", eReadWrite}, 
{0x2232, 0x12B0, "0x0100", eReadWrite}, 
{0x2234, 0xF7C8, "0x0100", eReadWrite}, 
{0x2236, 0x0800, "0x0100", eReadWrite}, 
{0x2238, 0x7114, "0x0100", eReadWrite}, 
{0x223a, 0x403F, "0x0100", eReadWrite}, 
{0x223c, 0x0003, "0x0100", eReadWrite}, 
{0x223e, 0x12B0, "0x0100", eReadWrite}, 
{0x2240, 0xF7C8, "0x0100", eReadWrite}, 
{0x2242, 0x425F, "0x0100", eReadWrite}, 
{0x2244, 0x0CA7, "0x0100", eReadWrite}, 
{0x2246, 0xF37F, "0x0100", eReadWrite}, 
{0x2248, 0x421A, "0x0100", eReadWrite}, 
{0x224a, 0x8114, "0x0100", eReadWrite}, 
{0x224c, 0x4F0C, "0x0100", eReadWrite}, 
{0x224e, 0x12B0, "0x0100", eReadWrite}, 
{0x2250, 0xFD7A, "0x0100", eReadWrite}, 
{0x2252, 0x4E0A, "0x0100", eReadWrite}, 
{0x2254, 0xC312, "0x0100", eReadWrite}, 
{0x2256, 0x100A, "0x0100", eReadWrite}, 
{0x2258, 0x110A, "0x0100", eReadWrite}, 
{0x225a, 0x110A, "0x0100", eReadWrite}, 
{0x225c, 0x110A, "0x0100", eReadWrite}, 
{0x225e, 0x903A, "0x0100", eReadWrite}, 
{0x2260, 0x0010, "0x0100", eReadWrite}, 
{0x2262, 0x2C02, "0x0100", eReadWrite}, 
{0x2264, 0x403A, "0x0100", eReadWrite}, 
{0x2266, 0x0010, "0x0100", eReadWrite}, 
{0x2268, 0x425F, "0x0100", eReadWrite}, 
{0x226a, 0x0CA6, "0x0100", eReadWrite}, 
{0x226c, 0xF37F, "0x0100", eReadWrite}, 
{0x226e, 0x5F0F, "0x0100", eReadWrite}, 
{0x2270, 0x5F0F, "0x0100", eReadWrite}, 
{0x2272, 0x5F0F, "0x0100", eReadWrite}, 
{0x2274, 0x5F0F, "0x0100", eReadWrite}, 
{0x2276, 0x4F0C, "0x0100", eReadWrite}, 
{0x2278, 0x12B0, "0x0100", eReadWrite}, 
{0x227a, 0xFD94, "0x0100", eReadWrite}, 
{0x227c, 0x4C82, "0x0100", eReadWrite}, 
{0x227e, 0x8140, "0x0100", eReadWrite}, 
{0x2280, 0x425F, "0x0100", eReadWrite}, 
{0x2282, 0x0C9C, "0x0100", eReadWrite}, 
{0x2284, 0x4F4E, "0x0100", eReadWrite}, 
{0x2286, 0x430F, "0x0100", eReadWrite}, 
{0x2288, 0x4E0F, "0x0100", eReadWrite}, 
{0x228a, 0x430E, "0x0100", eReadWrite}, 
{0x228c, 0x421A, "0x0100", eReadWrite}, 
{0x228e, 0x0C9A, "0x0100", eReadWrite}, 
{0x2290, 0x430B, "0x0100", eReadWrite}, 
{0x2292, 0xDE0A, "0x0100", eReadWrite}, 
{0x2294, 0xDF0B, "0x0100", eReadWrite}, 
{0x2296, 0x425F, "0x0100", eReadWrite}, 
{0x2298, 0x0CA0, "0x0100", eReadWrite}, 
{0x229a, 0x4F4E, "0x0100", eReadWrite}, 
{0x229c, 0x430F, "0x0100", eReadWrite}, 
{0x229e, 0x4E0F, "0x0100", eReadWrite}, 
{0x22a0, 0x430E, "0x0100", eReadWrite}, 
{0x22a2, 0x421D, "0x0100", eReadWrite}, 
{0x22a4, 0x0C9E, "0x0100", eReadWrite}, 
{0x22a6, 0xDD0E, "0x0100", eReadWrite}, 
{0x22a8, 0x5E0A, "0x0100", eReadWrite}, 
{0x22aa, 0x6F0B, "0x0100", eReadWrite}, 
{0x22ac, 0x421E, "0x0100", eReadWrite}, 
{0x22ae, 0x0CA2, "0x0100", eReadWrite}, 
{0x22b0, 0x521E, "0x0100", eReadWrite}, 
{0x22b2, 0x0CA4, "0x0100", eReadWrite}, 
{0x22b4, 0x4382, "0x0100", eReadWrite}, 
{0x22b6, 0x8110, "0x0100", eReadWrite}, 
{0x22b8, 0xB3D2, "0x0100", eReadWrite}, 
{0x22ba, 0x0C8E, "0x0100", eReadWrite}, 
{0x22bc, 0x2430, "0x0100", eReadWrite}, 
{0x22be, 0xB3D2, "0x0100", eReadWrite}, 
{0x22c0, 0x0C80, "0x0100", eReadWrite}, 
{0x22c2, 0x242D, "0x0100", eReadWrite}, 
{0x22c4, 0x430F, "0x0100", eReadWrite}, 
{0x22c6, 0x1209, "0x0100", eReadWrite}, 
{0x22c8, 0x4E0C, "0x0100", eReadWrite}, 
{0x22ca, 0x4F0D, "0x0100", eReadWrite}, 
{0x22cc, 0x4A0E, "0x0100", eReadWrite}, 
{0x22ce, 0x4B0F, "0x0100", eReadWrite}, 
{0x22d0, 0x12B0, "0x0100", eReadWrite}, 
{0x22d2, 0xF836, "0x0100", eReadWrite}, 
{0x22d4, 0x4F09, "0x0100", eReadWrite}, 
{0x22d6, 0x403F, "0x0100", eReadWrite}, 
{0x22d8, 0x0003, "0x0100", eReadWrite}, 
{0x22da, 0x12B0, "0x0100", eReadWrite}, 
{0x22dc, 0xF7C8, "0x0100", eReadWrite}, 
{0x22de, 0x4982, "0x0100", eReadWrite}, 
{0x22e0, 0x8110, "0x0100", eReadWrite}, 
{0x22e2, 0x5321, "0x0100", eReadWrite}, 
{0x22e4, 0x90B2, "0x0100", eReadWrite}, 
{0x22e6, 0x0019, "0x0100", eReadWrite}, 
{0x22e8, 0x813C, "0x0100", eReadWrite}, 
{0x22ea, 0x2831, "0x0100", eReadWrite}, 
{0x22ec, 0x4982, "0x0100", eReadWrite}, 
{0x22ee, 0x8106, "0x0100", eReadWrite}, 
{0x22f0, 0x421F, "0x0100", eReadWrite}, 
{0x22f2, 0x8110, "0x0100", eReadWrite}, 
{0x22f4, 0x523F, "0x0100", eReadWrite}, 
{0x22f6, 0x110F, "0x0100", eReadWrite}, 
{0x22f8, 0x110F, "0x0100", eReadWrite}, 
{0x22fa, 0x110F, "0x0100", eReadWrite}, 
{0x22fc, 0x110F, "0x0100", eReadWrite}, 
{0x22fe, 0x4F82, "0x0100", eReadWrite}, 
{0x2300, 0x8110, "0x0100", eReadWrite}, 
{0x2302, 0x903F, "0x0100", eReadWrite}, 
{0x2304, 0x001E, "0x0100", eReadWrite}, 
{0x2306, 0x3821, "0x0100", eReadWrite}, 
{0x2308, 0x503F, "0x0100", eReadWrite}, 
{0x230a, 0xFFE2, "0x0100", eReadWrite}, 
{0x230c, 0x4F82, "0x0100", eReadWrite}, 
{0x230e, 0x8110, "0x0100", eReadWrite}, 
{0x2310, 0x4F82, "0x0100", eReadWrite}, 
{0x2312, 0x0CAC, "0x0100", eReadWrite}, 
{0x2314, 0x4F82, "0x0100", eReadWrite}, 
{0x2316, 0x0CAE, "0x0100", eReadWrite}, 
{0x2318, 0x42D2, "0x0100", eReadWrite}, 
{0x231a, 0x0C93, "0x0100", eReadWrite}, 
{0x231c, 0x0C96, "0x0100", eReadWrite}, 
{0x231e, 0xC3E2, "0x0100", eReadWrite}, 
{0x2320, 0x0C81, "0x0100", eReadWrite}, 
{0x2322, 0x4292, "0x0100", eReadWrite}, 
{0x2324, 0x8118, "0x0100", eReadWrite}, 
{0x2326, 0x8128, "0x0100", eReadWrite}, 
{0x2328, 0x421F, "0x0100", eReadWrite}, 
{0x232a, 0x8126, "0x0100", eReadWrite}, 
{0x232c, 0xD21F, "0x0100", eReadWrite}, 
{0x232e, 0x8118, "0x0100", eReadWrite}, 
{0x2330, 0x5F0F, "0x0100", eReadWrite}, 
{0x2332, 0xF03F, "0x0100", eReadWrite}, 
{0x2334, 0x000E, "0x0100", eReadWrite}, 
{0x2336, 0x4F82, "0x0100", eReadWrite}, 
{0x2338, 0x8126, "0x0100", eReadWrite}, 
{0x233a, 0x4382, "0x0100", eReadWrite}, 
{0x233c, 0x8118, "0x0100", eReadWrite}, 
{0x233e, 0x432F, "0x0100", eReadWrite}, 
{0x2340, 0x12B0, "0x0100", eReadWrite}, 
{0x2342, 0xF7C8, "0x0100", eReadWrite}, 
{0x2344, 0x12B0, "0x0100", eReadWrite}, 
{0x2346, 0xF768, "0x0100", eReadWrite}, 
{0x2348, 0x3F65, "0x0100", eReadWrite}, 
{0x234a, 0x430F, "0x0100", eReadWrite}, 
{0x234c, 0x3FDF, "0x0100", eReadWrite}, 
{0x234e, 0x4292, "0x0100", eReadWrite}, 
{0x2350, 0x8106, "0x0100", eReadWrite}, 
{0x2352, 0x8110, "0x0100", eReadWrite}, 
{0x2354, 0x3FCD, "0x0100", eReadWrite}, 
{0x2356, 0x0B00, "0x0100", eReadWrite}, 
{0x2358, 0x7302, "0x0100", eReadWrite}, 
{0x235a, 0x0002, "0x0100", eReadWrite}, 
{0x235c, 0x0404, "0x0100", eReadWrite}, 
{0x235e, 0x0C01, "0x0100", eReadWrite}, 
{0x2360, 0x0001, "0x0100", eReadWrite}, 
{0x2362, 0x0C01, "0x0100", eReadWrite}, 
{0x2364, 0x0003, "0x0100", eReadWrite}, 
{0x2366, 0x0C01, "0x0100", eReadWrite}, 
{0x2368, 0x004B, "0x0100", eReadWrite}, 
{0x236a, 0x0C0A, "0x0100", eReadWrite}, 
{0x236c, 0x0243, "0x0100", eReadWrite}, 
{0x236e, 0x791F, "0x0100", eReadWrite}, 
{0x2370, 0x0C01, "0x0100", eReadWrite}, 
{0x2372, 0x0405, "0x0100", eReadWrite}, 
{0x2374, 0x0C41, "0x0100", eReadWrite}, 
{0x2376, 0x0647, "0x0100", eReadWrite}, 
{0x2378, 0x0C03, "0x0100", eReadWrite}, 
{0x237a, 0x0672, "0x0100", eReadWrite}, 
{0x237c, 0x0C01, "0x0100", eReadWrite}, 
{0x237e, 0x0670, "0x0100", eReadWrite}, 
{0x2380, 0x0C01, "0x0100", eReadWrite}, 
{0x2382, 0x0778, "0x0100", eReadWrite}, 
{0x2384, 0x0C0B, "0x0100", eReadWrite}, 
{0x2386, 0x067C, "0x0100", eReadWrite}, 
{0x2388, 0x0C07, "0x0100", eReadWrite}, 
{0x238a, 0x0686, "0x0100", eReadWrite}, 
{0x238c, 0x0C01, "0x0100", eReadWrite}, 
{0x238e, 0x066C, "0x0100", eReadWrite}, 
{0x2390, 0x0C7D, "0x0100", eReadWrite}, 
{0x2392, 0x0684, "0x0100", eReadWrite}, 
{0x2394, 0x0C8E, "0x0100", eReadWrite}, 
{0x2396, 0x0203, "0x0100", eReadWrite}, 
{0x2398, 0x4E1F, "0x0100", eReadWrite}, 
{0x239a, 0x0393, "0x0100", eReadWrite}, 
{0x239c, 0x7A1F, "0x0100", eReadWrite}, 
{0x239e, 0x0C0B, "0x0100", eReadWrite}, 
{0x23a0, 0x0083, "0x0100", eReadWrite}, 
{0x23a2, 0x0C55, "0x0100", eReadWrite}, 
{0x23a4, 0x0686, "0x0100", eReadWrite}, 
{0x23a6, 0x0C01, "0x0100", eReadWrite}, 
{0x23a8, 0x0664, "0x0100", eReadWrite}, 
{0x23aa, 0x0CFF, "0x0100", eReadWrite}, 
{0x23ac, 0x0CC2, "0x0100", eReadWrite}, 
{0x23ae, 0x0684, "0x0100", eReadWrite}, 
{0x23b0, 0x4392, "0x0100", eReadWrite}, 
{0x23b2, 0x7004, "0x0100", eReadWrite}, 
{0x23b4, 0x430F, "0x0100", eReadWrite}, 
{0x23b6, 0x9382, "0x0100", eReadWrite}, 
{0x23b8, 0x8138, "0x0100", eReadWrite}, 
{0x23ba, 0x2001, "0x0100", eReadWrite}, 
{0x23bc, 0x431F, "0x0100", eReadWrite}, 
{0x23be, 0x4F82, "0x0100", eReadWrite}, 
{0x23c0, 0x8138, "0x0100", eReadWrite}, 
{0x23c2, 0x12B0, "0x0100", eReadWrite}, 
{0x23c4, 0xF768, "0x0100", eReadWrite}, 
{0x23c6, 0x930F, "0x0100", eReadWrite}, 
{0x23c8, 0x2405, "0x0100", eReadWrite}, 
{0x23ca, 0x4292, "0x0100", eReadWrite}, 
{0x23cc, 0x8118, "0x0100", eReadWrite}, 
{0x23ce, 0x8128, "0x0100", eReadWrite}, 
{0x23d0, 0x4382, "0x0100", eReadWrite}, 
{0x23d2, 0x8118, "0x0100", eReadWrite}, 
{0x23d4, 0x9382, "0x0100", eReadWrite}, 
{0x23d6, 0x8138, "0x0100", eReadWrite}, 
{0x23d8, 0x242C, "0x0100", eReadWrite}, 
{0x23da, 0x9382, "0x0100", eReadWrite}, 
{0x23dc, 0x8108, "0x0100", eReadWrite}, 
{0x23de, 0x2003, "0x0100", eReadWrite}, 
{0x23e0, 0x9382, "0x0100", eReadWrite}, 
{0x23e2, 0x8124, "0x0100", eReadWrite}, 
{0x23e4, 0x2416, "0x0100", eReadWrite}, 
{0x23e6, 0x0B00, "0x0100", eReadWrite}, 
{0x23e8, 0x7302, "0x0100", eReadWrite}, 
{0x23ea, 0x04FE, "0x0100", eReadWrite}, 
{0x23ec, 0x0660, "0x0100", eReadWrite}, 
{0x23ee, 0x0C03, "0x0100", eReadWrite}, 
{0x23f0, 0x0509, "0x0100", eReadWrite}, 
{0x23f2, 0x0C01, "0x0100", eReadWrite}, 
{0x23f4, 0x00BB, "0x0100", eReadWrite}, 
{0x23f6, 0x0C01, "0x0100", eReadWrite}, 
{0x23f8, 0x040A, "0x0100", eReadWrite}, 
{0x23fa, 0x9382, "0x0100", eReadWrite}, 
{0x23fc, 0x8144, "0x0100", eReadWrite}, 
{0x23fe, 0x2003, "0x0100", eReadWrite}, 
{0x2400, 0x930F, "0x0100", eReadWrite}, 
{0x2402, 0x2708, "0x0100", eReadWrite}, 
{0x2404, 0x3EDC, "0x0100", eReadWrite}, 
{0x2406, 0x43C2, "0x0100", eReadWrite}, 
{0x2408, 0x0A80, "0x0100", eReadWrite}, 
{0x240a, 0x0B00, "0x0100", eReadWrite}, 
{0x240c, 0x7302, "0x0100", eReadWrite}, 
{0x240e, 0xFFF0, "0x0100", eReadWrite}, 
{0x2410, 0x3F01, "0x0100", eReadWrite}, 
{0x2412, 0x0B00, "0x0100", eReadWrite}, 
{0x2414, 0x7302, "0x0100", eReadWrite}, 
{0x2416, 0x0580, "0x0100", eReadWrite}, 
{0x2418, 0x0407, "0x0100", eReadWrite}, 
{0x241a, 0x0C02, "0x0100", eReadWrite}, 
{0x241c, 0x033D, "0x0100", eReadWrite}, 
{0x241e, 0xB810, "0x0100", eReadWrite}, 
{0x2420, 0x0C01, "0x0100", eReadWrite}, 
{0x2422, 0x003C, "0x0100", eReadWrite}, 
{0x2424, 0x0C01, "0x0100", eReadWrite}, 
{0x2426, 0x0004, "0x0100", eReadWrite}, 
{0x2428, 0x0C01, "0x0100", eReadWrite}, 
{0x242a, 0x06A5, "0x0100", eReadWrite}, 
{0x242c, 0x0C03, "0x0100", eReadWrite}, 
{0x242e, 0x06A1, "0x0100", eReadWrite}, 
{0x2430, 0x3FE4, "0x0100", eReadWrite}, 
{0x2432, 0x9382, "0x0100", eReadWrite}, 
{0x2434, 0x8108, "0x0100", eReadWrite}, 
{0x2436, 0x2003, "0x0100", eReadWrite}, 
{0x2438, 0x9382, "0x0100", eReadWrite}, 
{0x243a, 0x8124, "0x0100", eReadWrite}, 
{0x243c, 0x240B, "0x0100", eReadWrite}, 
{0x243e, 0x0B00, "0x0100", eReadWrite}, 
{0x2440, 0x7302, "0x0100", eReadWrite}, 
{0x2442, 0x04FE, "0x0100", eReadWrite}, 
{0x2444, 0x0660, "0x0100", eReadWrite}, 
{0x2446, 0x0C03, "0x0100", eReadWrite}, 
{0x2448, 0x0508, "0x0100", eReadWrite}, 
{0x244a, 0x0C01, "0x0100", eReadWrite}, 
{0x244c, 0x0083, "0x0100", eReadWrite}, 
{0x244e, 0x0C01, "0x0100", eReadWrite}, 
{0x2450, 0x06A1, "0x0100", eReadWrite}, 
{0x2452, 0x3FD3, "0x0100", eReadWrite}, 
{0x2454, 0x0B00, "0x0100", eReadWrite}, 
{0x2456, 0x7302, "0x0100", eReadWrite}, 
{0x2458, 0x0580, "0x0100", eReadWrite}, 
{0x245a, 0x0406, "0x0100", eReadWrite}, 
{0x245c, 0x0C02, "0x0100", eReadWrite}, 
{0x245e, 0x0305, "0x0100", eReadWrite}, 
{0x2460, 0xB810, "0x0100", eReadWrite}, 
{0x2462, 0x0C01, "0x0100", eReadWrite}, 
{0x2464, 0x0004, "0x0100", eReadWrite}, 
{0x2466, 0x0C03, "0x0100", eReadWrite}, 
{0x2468, 0x06A5, "0x0100", eReadWrite}, 
{0x246a, 0x0C03, "0x0100", eReadWrite}, 
{0x246c, 0x06A1, "0x0100", eReadWrite}, 
{0x246e, 0x3FC5, "0x0100", eReadWrite}, 
{0x2470, 0x0B00, "0x0100", eReadWrite}, 
{0x2472, 0x7302, "0x0100", eReadWrite}, 
{0x2474, 0x0002, "0x0100", eReadWrite}, 
{0x2476, 0x040B, "0x0100", eReadWrite}, 
{0x2478, 0x0C1F, "0x0100", eReadWrite}, 
{0x247a, 0x06A1, "0x0100", eReadWrite}, 
{0x247c, 0x0C05, "0x0100", eReadWrite}, 
{0x247e, 0x0001, "0x0100", eReadWrite}, 
{0x2480, 0x0C01, "0x0100", eReadWrite}, 
{0x2482, 0x0003, "0x0100", eReadWrite}, 
{0x2484, 0x0C01, "0x0100", eReadWrite}, 
{0x2486, 0x004B, "0x0100", eReadWrite}, 
{0x2488, 0x0C17, "0x0100", eReadWrite}, 
{0x248a, 0x0043, "0x0100", eReadWrite}, 
{0x248c, 0x0C01, "0x0100", eReadWrite}, 
{0x248e, 0x0672, "0x0100", eReadWrite}, 
{0x2490, 0x0243, "0x0100", eReadWrite}, 
{0x2492, 0x79DF, "0x0100", eReadWrite}, 
{0x2494, 0x0C3B, "0x0100", eReadWrite}, 
{0x2496, 0x0647, "0x0100", eReadWrite}, 
{0x2498, 0x0C05, "0x0100", eReadWrite}, 
{0x249a, 0x0672, "0x0100", eReadWrite}, 
{0x249c, 0x0C01, "0x0100", eReadWrite}, 
{0x249e, 0x0670, "0x0100", eReadWrite}, 
{0x24a0, 0x0C0D, "0x0100", eReadWrite}, 
{0x24a2, 0x0778, "0x0100", eReadWrite}, 
{0x24a4, 0x0C0B, "0x0100", eReadWrite}, 
{0x24a6, 0x067C, "0x0100", eReadWrite}, 
{0x24a8, 0x0C13, "0x0100", eReadWrite}, 
{0x24aa, 0x0686, "0x0100", eReadWrite}, 
{0x24ac, 0x0C01, "0x0100", eReadWrite}, 
{0x24ae, 0x066C, "0x0100", eReadWrite}, 
{0x24b0, 0x0C67, "0x0100", eReadWrite}, 
{0x24b2, 0x067C, "0x0100", eReadWrite}, 
{0x24b4, 0x0C01, "0x0100", eReadWrite}, 
{0x24b6, 0x0003, "0x0100", eReadWrite}, 
{0x24b8, 0x0393, "0x0100", eReadWrite}, 
{0x24ba, 0x7A1F, "0x0100", eReadWrite}, 
{0x24bc, 0x0C17, "0x0100", eReadWrite}, 
{0x24be, 0x0083, "0x0100", eReadWrite}, 
{0x24c0, 0x0C6F, "0x0100", eReadWrite}, 
{0x24c2, 0x0686, "0x0100", eReadWrite}, 
{0x24c4, 0x0C01, "0x0100", eReadWrite}, 
{0x24c6, 0x0664, "0x0100", eReadWrite}, 
{0x24c8, 0x4392, "0x0100", eReadWrite}, 
{0x24ca, 0x7004, "0x0100", eReadWrite}, 
{0x24cc, 0x430F, "0x0100", eReadWrite}, 
{0x24ce, 0x9382, "0x0100", eReadWrite}, 
{0x24d0, 0x8138, "0x0100", eReadWrite}, 
{0x24d2, 0x2001, "0x0100", eReadWrite}, 
{0x24d4, 0x431F, "0x0100", eReadWrite}, 
{0x24d6, 0x4F82, "0x0100", eReadWrite}, 
{0x24d8, 0x8138, "0x0100", eReadWrite}, 
{0x24da, 0x930F, "0x0100", eReadWrite}, 
{0x24dc, 0x2468, "0x0100", eReadWrite}, 
{0x24de, 0x0B00, "0x0100", eReadWrite}, 
{0x24e0, 0x7302, "0x0100", eReadWrite}, 
{0x24e2, 0x033A, "0x0100", eReadWrite}, 
{0x24e4, 0x0674, "0x0100", eReadWrite}, 
{0x24e6, 0x0C02, "0x0100", eReadWrite}, 
{0x24e8, 0x0339, "0x0100", eReadWrite}, 
{0x24ea, 0xB810, "0x0100", eReadWrite}, 
{0x24ec, 0x0C01, "0x0100", eReadWrite}, 
{0x24ee, 0x003C, "0x0100", eReadWrite}, 
{0x24f0, 0x0C01, "0x0100", eReadWrite}, 
{0x24f2, 0x0004, "0x0100", eReadWrite}, 
{0x24f4, 0x0B00, "0x0100", eReadWrite}, 
{0x24f6, 0x7302, "0x0100", eReadWrite}, 
{0x24f8, 0x0366, "0x0100", eReadWrite}, 
{0x24fa, 0x040C, "0x0100", eReadWrite}, 
{0x24fc, 0x0C25, "0x0100", eReadWrite}, 
{0x24fe, 0x0001, "0x0100", eReadWrite}, 
{0x2500, 0x0C01, "0x0100", eReadWrite}, 
{0x2502, 0x0003, "0x0100", eReadWrite}, 
{0x2504, 0x0C01, "0x0100", eReadWrite}, 
{0x2506, 0x004B, "0x0100", eReadWrite}, 
{0x2508, 0x0C17, "0x0100", eReadWrite}, 
{0x250a, 0x0043, "0x0100", eReadWrite}, 
{0x250c, 0x0C01, "0x0100", eReadWrite}, 
{0x250e, 0x0672, "0x0100", eReadWrite}, 
{0x2510, 0x0243, "0x0100", eReadWrite}, 
{0x2512, 0x79DF, "0x0100", eReadWrite}, 
{0x2514, 0x0C3B, "0x0100", eReadWrite}, 
{0x2516, 0x0647, "0x0100", eReadWrite}, 
{0x2518, 0x0C05, "0x0100", eReadWrite}, 
{0x251a, 0x0672, "0x0100", eReadWrite}, 
{0x251c, 0x0C01, "0x0100", eReadWrite}, 
{0x251e, 0x0670, "0x0100", eReadWrite}, 
{0x2520, 0x0C0D, "0x0100", eReadWrite}, 
{0x2522, 0x0778, "0x0100", eReadWrite}, 
{0x2524, 0x0C0B, "0x0100", eReadWrite}, 
{0x2526, 0x067C, "0x0100", eReadWrite}, 
{0x2528, 0x0C13, "0x0100", eReadWrite}, 
{0x252a, 0x0686, "0x0100", eReadWrite}, 
{0x252c, 0x0C01, "0x0100", eReadWrite}, 
{0x252e, 0x066C, "0x0100", eReadWrite}, 
{0x2530, 0x0C67, "0x0100", eReadWrite}, 
{0x2532, 0x067C, "0x0100", eReadWrite}, 
{0x2534, 0x0C01, "0x0100", eReadWrite}, 
{0x2536, 0x0003, "0x0100", eReadWrite}, 
{0x2538, 0x0393, "0x0100", eReadWrite}, 
{0x253a, 0x7A1F, "0x0100", eReadWrite}, 
{0x253c, 0x0C17, "0x0100", eReadWrite}, 
{0x253e, 0x0083, "0x0100", eReadWrite}, 
{0x2540, 0x0C6F, "0x0100", eReadWrite}, 
{0x2542, 0x0686, "0x0100", eReadWrite}, 
{0x2544, 0x0C01, "0x0100", eReadWrite}, 
{0x2546, 0x0664, "0x0100", eReadWrite}, 
{0x2548, 0x12B0, "0x0100", eReadWrite}, 
{0x254a, 0xF768, "0x0100", eReadWrite}, 
{0x254c, 0x930F, "0x0100", eReadWrite}, 
{0x254e, 0x2405, "0x0100", eReadWrite}, 
{0x2550, 0x4292, "0x0100", eReadWrite}, 
{0x2552, 0x8118, "0x0100", eReadWrite}, 
{0x2554, 0x8128, "0x0100", eReadWrite}, 
{0x2556, 0x4382, "0x0100", eReadWrite}, 
{0x2558, 0x8118, "0x0100", eReadWrite}, 
{0x255a, 0x9382, "0x0100", eReadWrite}, 
{0x255c, 0x8138, "0x0100", eReadWrite}, 
{0x255e, 0x2419, "0x0100", eReadWrite}, 
{0x2560, 0x0B00, "0x0100", eReadWrite}, 
{0x2562, 0x7302, "0x0100", eReadWrite}, 
{0x2564, 0x069E, "0x0100", eReadWrite}, 
{0x2566, 0x0674, "0x0100", eReadWrite}, 
{0x2568, 0x0C02, "0x0100", eReadWrite}, 
{0x256a, 0x0339, "0x0100", eReadWrite}, 
{0x256c, 0xB810, "0x0100", eReadWrite}, 
{0x256e, 0x0C01, "0x0100", eReadWrite}, 
{0x2570, 0x003C, "0x0100", eReadWrite}, 
{0x2572, 0x0C01, "0x0100", eReadWrite}, 
{0x2574, 0x0004, "0x0100", eReadWrite}, 
{0x2576, 0x0C15, "0x0100", eReadWrite}, 
{0x2578, 0x06A5, "0x0100", eReadWrite}, 
{0x257a, 0x0C05, "0x0100", eReadWrite}, 
{0x257c, 0x06A1, "0x0100", eReadWrite}, 
{0x257e, 0x9382, "0x0100", eReadWrite}, 
{0x2580, 0x8144, "0x0100", eReadWrite}, 
{0x2582, 0x273E, "0x0100", eReadWrite}, 
{0x2584, 0x43C2, "0x0100", eReadWrite}, 
{0x2586, 0x0A80, "0x0100", eReadWrite}, 
{0x2588, 0x0B00, "0x0100", eReadWrite}, 
{0x258a, 0x7302, "0x0100", eReadWrite}, 
{0x258c, 0xFFF0, "0x0100", eReadWrite}, 
{0x258e, 0x4030, "0x0100", eReadWrite}, 
{0x2590, 0xF214, "0x0100", eReadWrite}, 
{0x2592, 0x0B00, "0x0100", eReadWrite}, 
{0x2594, 0x7302, "0x0100", eReadWrite}, 
{0x2596, 0x069E, "0x0100", eReadWrite}, 
{0x2598, 0x0674, "0x0100", eReadWrite}, 
{0x259a, 0x0C02, "0x0100", eReadWrite}, 
{0x259c, 0x0301, "0x0100", eReadWrite}, 
{0x259e, 0xB810, "0x0100", eReadWrite}, 
{0x25a0, 0x0C01, "0x0100", eReadWrite}, 
{0x25a2, 0x0004, "0x0100", eReadWrite}, 
{0x25a4, 0x0C17, "0x0100", eReadWrite}, 
{0x25a6, 0x06A5, "0x0100", eReadWrite}, 
{0x25a8, 0x0C05, "0x0100", eReadWrite}, 
{0x25aa, 0x06A1, "0x0100", eReadWrite}, 
{0x25ac, 0x3FE8, "0x0100", eReadWrite}, 
{0x25ae, 0x0B00, "0x0100", eReadWrite}, 
{0x25b0, 0x7302, "0x0100", eReadWrite}, 
{0x25b2, 0x033A, "0x0100", eReadWrite}, 
{0x25b4, 0x0674, "0x0100", eReadWrite}, 
{0x25b6, 0x0C02, "0x0100", eReadWrite}, 
{0x25b8, 0x0301, "0x0100", eReadWrite}, 
{0x25ba, 0xB810, "0x0100", eReadWrite}, 
{0x25bc, 0x0C01, "0x0100", eReadWrite}, 
{0x25be, 0x0004, "0x0100", eReadWrite}, 
{0x25c0, 0x3F99, "0x0100", eReadWrite}, 
{0x25c2, 0xB3E2, "0x0100", eReadWrite}, 
{0x25c4, 0x00B4, "0x0100", eReadWrite}, 
{0x25c6, 0x2002, "0x0100", eReadWrite}, 
{0x25c8, 0x4030, "0x0100", eReadWrite}, 
{0x25ca, 0xF1AC, "0x0100", eReadWrite}, 
{0x25cc, 0x4318, "0x0100", eReadWrite}, 
{0x25ce, 0x4030, "0x0100", eReadWrite}, 
{0x25d0, 0xF1AC, "0x0100", eReadWrite}, 
{0x25d2, 0x4392, "0x0100", eReadWrite}, 
{0x25d4, 0x760E, "0x0100", eReadWrite}, 
{0x25d6, 0x425F, "0x0100", eReadWrite}, 
{0x25d8, 0x0198, "0x0100", eReadWrite}, 
{0x25da, 0xF37F, "0x0100", eReadWrite}, 
{0x25dc, 0x930F, "0x0100", eReadWrite}, 
{0x25de, 0x2005, "0x0100", eReadWrite}, 
{0x25e0, 0x43C2, "0x0100", eReadWrite}, 
{0x25e2, 0x0A80, "0x0100", eReadWrite}, 
{0x25e4, 0x0B00, "0x0100", eReadWrite}, 
{0x25e6, 0x7302, "0x0100", eReadWrite}, 
{0x25e8, 0xFFF0, "0x0100", eReadWrite}, 
{0x25ea, 0x9382, "0x0100", eReadWrite}, 
{0x25ec, 0x760C, "0x0100", eReadWrite}, 
{0x25ee, 0x2002, "0x0100", eReadWrite}, 
{0x25f0, 0x0C64, "0x0100", eReadWrite}, 
{0x25f2, 0x3FF1, "0x0100", eReadWrite}, 
{0x25f4, 0x4F82, "0x0100", eReadWrite}, 
{0x25f6, 0x8122, "0x0100", eReadWrite}, 
{0x25f8, 0x12B0, "0x0100", eReadWrite}, 
{0x25fa, 0xFD48, "0x0100", eReadWrite}, 
{0x25fc, 0x4292, "0x0100", eReadWrite}, 
{0x25fe, 0x760A, "0x0100", eReadWrite}, 
{0x2600, 0x813A, "0x0100", eReadWrite}, 
{0x2602, 0x421F, "0x0100", eReadWrite}, 
{0x2604, 0x813A, "0x0100", eReadWrite}, 
{0x2606, 0x903F, "0x0100", eReadWrite}, 
{0x2608, 0x0200, "0x0100", eReadWrite}, 
{0x260a, 0x2476, "0x0100", eReadWrite}, 
{0x260c, 0x930F, "0x0100", eReadWrite}, 
{0x260e, 0x2474, "0x0100", eReadWrite}, 
{0x2610, 0x903F, "0x0100", eReadWrite}, 
{0x2612, 0x0100, "0x0100", eReadWrite}, 
{0x2614, 0x23DE, "0x0100", eReadWrite}, 
{0x2616, 0x40B2, "0x0100", eReadWrite}, 
{0x2618, 0x0005, "0x0100", eReadWrite}, 
{0x261a, 0x7600, "0x0100", eReadWrite}, 
{0x261c, 0x4382, "0x0100", eReadWrite}, 
{0x261e, 0x7602, "0x0100", eReadWrite}, 
{0x2620, 0x0262, "0x0100", eReadWrite}, 
{0x2622, 0x0000, "0x0100", eReadWrite}, 
{0x2624, 0x0222, "0x0100", eReadWrite}, 
{0x2626, 0x0000, "0x0100", eReadWrite}, 
{0x2628, 0x0262, "0x0100", eReadWrite}, 
{0x262a, 0x0000, "0x0100", eReadWrite}, 
{0x262c, 0x0260, "0x0100", eReadWrite}, 
{0x262e, 0x0000, "0x0100", eReadWrite}, 
{0x2630, 0x425F, "0x0100", eReadWrite}, 
{0x2632, 0x0186, "0x0100", eReadWrite}, 
{0x2634, 0x4F4A, "0x0100", eReadWrite}, 
{0x2636, 0x4219, "0x0100", eReadWrite}, 
{0x2638, 0x018A, "0x0100", eReadWrite}, 
{0x263a, 0x93D2, "0x0100", eReadWrite}, 
{0x263c, 0x018F, "0x0100", eReadWrite}, 
{0x263e, 0x245A, "0x0100", eReadWrite}, 
{0x2640, 0x425F, "0x0100", eReadWrite}, 
{0x2642, 0x018F, "0x0100", eReadWrite}, 
{0x2644, 0x4F4B, "0x0100", eReadWrite}, 
{0x2646, 0x4382, "0x0100", eReadWrite}, 
{0x2648, 0x8120, "0x0100", eReadWrite}, 
{0x264a, 0x430C, "0x0100", eReadWrite}, 
{0x264c, 0x421D, "0x0100", eReadWrite}, 
{0x264e, 0x8102, "0x0100", eReadWrite}, 
{0x2650, 0x4C08, "0x0100", eReadWrite}, 
{0x2652, 0x431F, "0x0100", eReadWrite}, 
{0x2654, 0x4C0E, "0x0100", eReadWrite}, 
{0x2656, 0x930E, "0x0100", eReadWrite}, 
{0x2658, 0x2403, "0x0100", eReadWrite}, 
{0x265a, 0x5F0F, "0x0100", eReadWrite}, 
{0x265c, 0x831E, "0x0100", eReadWrite}, 
{0x265e, 0x23FD, "0x0100", eReadWrite}, 
{0x2660, 0xFA0F, "0x0100", eReadWrite}, 
{0x2662, 0x2431, "0x0100", eReadWrite}, 
{0x2664, 0x430D, "0x0100", eReadWrite}, 
{0x2666, 0x931B, "0x0100", eReadWrite}, 
{0x2668, 0x282E, "0x0100", eReadWrite}, 
{0x266a, 0x4C0E, "0x0100", eReadWrite}, 
{0x266c, 0x430F, "0x0100", eReadWrite}, 
{0x266e, 0x4982, "0x0100", eReadWrite}, 
{0x2670, 0x7600, "0x0100", eReadWrite}, 
{0x2672, 0x4E82, "0x0100", eReadWrite}, 
{0x2674, 0x7602, "0x0100", eReadWrite}, 
{0x2676, 0x4A82, "0x0100", eReadWrite}, 
{0x2678, 0x7604, "0x0100", eReadWrite}, 
{0x267a, 0x0264, "0x0100", eReadWrite}, 
{0x267c, 0x0000, "0x0100", eReadWrite}, 
{0x267e, 0x0224, "0x0100", eReadWrite}, 
{0x2680, 0x0000, "0x0100", eReadWrite}, 
{0x2682, 0x0264, "0x0100", eReadWrite}, 
{0x2684, 0x0000, "0x0100", eReadWrite}, 
{0x2686, 0x0260, "0x0100", eReadWrite}, 
{0x2688, 0x0000, "0x0100", eReadWrite}, 
{0x268a, 0x0268, "0x0100", eReadWrite}, 
{0x268c, 0x0000, "0x0100", eReadWrite}, 
{0x268e, 0x0C5A, "0x0100", eReadWrite}, 
{0x2690, 0x02E8, "0x0100", eReadWrite}, 
{0x2692, 0x0000, "0x0100", eReadWrite}, 
{0x2694, 0x0CB5, "0x0100", eReadWrite}, 
{0x2696, 0x02A8, "0x0100", eReadWrite}, 
{0x2698, 0x0000, "0x0100", eReadWrite}, 
{0x269a, 0x0CB5, "0x0100", eReadWrite}, 
{0x269c, 0x0CB5, "0x0100", eReadWrite}, 
{0x269e, 0x0CB5, "0x0100", eReadWrite}, 
{0x26a0, 0x0CB5, "0x0100", eReadWrite}, 
{0x26a2, 0x0CB5, "0x0100", eReadWrite}, 
{0x26a4, 0x0CB5, "0x0100", eReadWrite}, 
{0x26a6, 0x0CB5, "0x0100", eReadWrite}, 
{0x26a8, 0x0CB5, "0x0100", eReadWrite}, 
{0x26aa, 0x0C00, "0x0100", eReadWrite}, 
{0x26ac, 0x02E8, "0x0100", eReadWrite}, 
{0x26ae, 0x0000, "0x0100", eReadWrite}, 
{0x26b0, 0x0CB5, "0x0100", eReadWrite}, 
{0x26b2, 0x0268, "0x0100", eReadWrite}, 
{0x26b4, 0x0000, "0x0100", eReadWrite}, 
{0x26b6, 0x0C5A, "0x0100", eReadWrite}, 
{0x26b8, 0x0260, "0x0100", eReadWrite}, 
{0x26ba, 0x0000, "0x0100", eReadWrite}, 
{0x26bc, 0x0C5A, "0x0100", eReadWrite}, 
{0x26be, 0x531F, "0x0100", eReadWrite}, 
{0x26c0, 0x9B0F, "0x0100", eReadWrite}, 
{0x26c2, 0x2BD5, "0x0100", eReadWrite}, 
{0x26c4, 0x4F0D, "0x0100", eReadWrite}, 
{0x26c6, 0x480C, "0x0100", eReadWrite}, 
{0x26c8, 0x531C, "0x0100", eReadWrite}, 
{0x26ca, 0x923C, "0x0100", eReadWrite}, 
{0x26cc, 0x3BC1, "0x0100", eReadWrite}, 
{0x26ce, 0x4D82, "0x0100", eReadWrite}, 
{0x26d0, 0x8102, "0x0100", eReadWrite}, 
{0x26d2, 0x4C82, "0x0100", eReadWrite}, 
{0x26d4, 0x8120, "0x0100", eReadWrite}, 
{0x26d6, 0x0261, "0x0100", eReadWrite}, 
{0x26d8, 0x0000, "0x0100", eReadWrite}, 
{0x26da, 0x12B0, "0x0100", eReadWrite}, 
{0x26dc, 0xFD48, "0x0100", eReadWrite}, 
{0x26de, 0x470F, "0x0100", eReadWrite}, 
{0x26e0, 0x12B0, "0x0100", eReadWrite}, 
{0x26e2, 0xFD5A, "0x0100", eReadWrite}, 
{0x26e4, 0x421F, "0x0100", eReadWrite}, 
{0x26e6, 0x7606, "0x0100", eReadWrite}, 
{0x26e8, 0x4FC2, "0x0100", eReadWrite}, 
{0x26ea, 0x0188, "0x0100", eReadWrite}, 
{0x26ec, 0x4907, "0x0100", eReadWrite}, 
{0x26ee, 0x0261, "0x0100", eReadWrite}, 
{0x26f0, 0x0000, "0x0100", eReadWrite}, 
{0x26f2, 0x3F6F, "0x0100", eReadWrite}, 
{0x26f4, 0x432B, "0x0100", eReadWrite}, 
{0x26f6, 0x3FA7, "0x0100", eReadWrite}, 
{0x26f8, 0x421F, "0x0100", eReadWrite}, 
{0x26fa, 0x018A, "0x0100", eReadWrite}, 
{0x26fc, 0x12B0, "0x0100", eReadWrite}, 
{0x26fe, 0xFD5A, "0x0100", eReadWrite}, 
{0x2700, 0x421F, "0x0100", eReadWrite}, 
{0x2702, 0x7606, "0x0100", eReadWrite}, 
{0x2704, 0x4FC2, "0x0100", eReadWrite}, 
{0x2706, 0x0188, "0x0100", eReadWrite}, 
{0x2708, 0x0261, "0x0100", eReadWrite}, 
{0x270a, 0x0000, "0x0100", eReadWrite}, 
{0x270c, 0x3F62, "0x0100", eReadWrite}, 
{0x270e, 0x403F, "0x0100", eReadWrite}, 
{0x2710, 0x0B80, "0x0100", eReadWrite}, 
{0x2712, 0x4F2E, "0x0100", eReadWrite}, 
{0x2714, 0xF03E, "0x0100", eReadWrite}, 
{0x2716, 0x7FFF, "0x0100", eReadWrite}, 
{0x2718, 0x4E82, "0x0100", eReadWrite}, 
{0x271a, 0x0B20, "0x0100", eReadWrite}, 
{0x271c, 0xF0BF, "0x0100", eReadWrite}, 
{0x271e, 0x7FFF, "0x0100", eReadWrite}, 
{0x2720, 0x0000, "0x0100", eReadWrite}, 
{0x2722, 0x0C0A, "0x0100", eReadWrite}, 
{0x2724, 0x40B2, "0x0100", eReadWrite}, 
{0x2726, 0x8084, "0x0100", eReadWrite}, 
{0x2728, 0x0B20, "0x0100", eReadWrite}, 
{0x272a, 0x40B2, "0x0100", eReadWrite}, 
{0x272c, 0x8084, "0x0100", eReadWrite}, 
{0x272e, 0x0B88, "0x0100", eReadWrite}, 
{0x2730, 0x0C0A, "0x0100", eReadWrite}, 
{0x2732, 0x40B2, "0x0100", eReadWrite}, 
{0x2734, 0xBD48, "0x0100", eReadWrite}, 
{0x2736, 0x0B20, "0x0100", eReadWrite}, 
{0x2738, 0x40B2, "0x0100", eReadWrite}, 
{0x273a, 0xBD48, "0x0100", eReadWrite}, 
{0x273c, 0x0B8A, "0x0100", eReadWrite}, 
{0x273e, 0x0C0A, "0x0100", eReadWrite}, 
{0x2740, 0x40B2, "0x0100", eReadWrite}, 
{0x2742, 0x01BC, "0x0100", eReadWrite}, 
{0x2744, 0x0B20, "0x0100", eReadWrite}, 
{0x2746, 0x40B2, "0x0100", eReadWrite}, 
{0x2748, 0x01BC, "0x0100", eReadWrite}, 
{0x274a, 0x0B8C, "0x0100", eReadWrite}, 
{0x274c, 0x0C0A, "0x0100", eReadWrite}, 
{0x274e, 0x40B2, "0x0100", eReadWrite}, 
{0x2750, 0x0500, "0x0100", eReadWrite}, 
{0x2752, 0x0B20, "0x0100", eReadWrite}, 
{0x2754, 0x40B2, "0x0100", eReadWrite}, 
{0x2756, 0x0500, "0x0100", eReadWrite}, 
{0x2758, 0x0B9E, "0x0100", eReadWrite}, 
{0x275a, 0x0C0A, "0x0100", eReadWrite}, 
{0x275c, 0x43C2, "0x0100", eReadWrite}, 
{0x275e, 0x003F, "0x0100", eReadWrite}, 
{0x2760, 0x4030, "0x0100", eReadWrite}, 
{0x2762, 0xF042, "0x0100", eReadWrite}, 
{0x2764, 0x4030, "0x0100", eReadWrite}, 
{0x2766, 0xFD76, "0x0100", eReadWrite}, 
{0x2768, 0xE3B2, "0x0100", eReadWrite}, 
{0x276a, 0x740E, "0x0100", eReadWrite}, 
{0x276c, 0x425F, "0x0100", eReadWrite}, 
{0x276e, 0x0198, "0x0100", eReadWrite}, 
{0x2770, 0xF37F, "0x0100", eReadWrite}, 
{0x2772, 0x4F82, "0x0100", eReadWrite}, 
{0x2774, 0x8122, "0x0100", eReadWrite}, 
{0x2776, 0x930F, "0x0100", eReadWrite}, 
{0x2778, 0x2005, "0x0100", eReadWrite}, 
{0x277a, 0x93C2, "0x0100", eReadWrite}, 
{0x277c, 0x0A82, "0x0100", eReadWrite}, 
{0x277e, 0x2402, "0x0100", eReadWrite}, 
{0x2780, 0x4392, "0x0100", eReadWrite}, 
{0x2782, 0x8144, "0x0100", eReadWrite}, 
{0x2784, 0x9382, "0x0100", eReadWrite}, 
{0x2786, 0x8122, "0x0100", eReadWrite}, 
{0x2788, 0x2002, "0x0100", eReadWrite}, 
{0x278a, 0x4392, "0x0100", eReadWrite}, 
{0x278c, 0x8104, "0x0100", eReadWrite}, 
{0x278e, 0x421F, "0x0100", eReadWrite}, 
{0x2790, 0x710E, "0x0100", eReadWrite}, 
{0x2792, 0x93A2, "0x0100", eReadWrite}, 
{0x2794, 0x7110, "0x0100", eReadWrite}, 
{0x2796, 0x2411, "0x0100", eReadWrite}, 
{0x2798, 0x9382, "0x0100", eReadWrite}, 
{0x279a, 0x710E, "0x0100", eReadWrite}, 
{0x279c, 0x240C, "0x0100", eReadWrite}, 
{0x279e, 0x5292, "0x0100", eReadWrite}, 
{0x27a0, 0x812C, "0x0100", eReadWrite}, 
{0x27a2, 0x7110, "0x0100", eReadWrite}, 
{0x27a4, 0x4382, "0x0100", eReadWrite}, 
{0x27a6, 0x740E, "0x0100", eReadWrite}, 
{0x27a8, 0xB3E2, "0x0100", eReadWrite}, 
{0x27aa, 0x0080, "0x0100", eReadWrite}, 
{0x27ac, 0x2402, "0x0100", eReadWrite}, 
{0x27ae, 0x4392, "0x0100", eReadWrite}, 
{0x27b0, 0x740E, "0x0100", eReadWrite}, 
{0x27b2, 0x4392, "0x0100", eReadWrite}, 
{0x27b4, 0x8138, "0x0100", eReadWrite}, 
{0x27b6, 0x430F, "0x0100", eReadWrite}, 
{0x27b8, 0x4130, "0x0100", eReadWrite}, 
{0x27ba, 0xF31F, "0x0100", eReadWrite}, 
{0x27bc, 0x27ED, "0x0100", eReadWrite}, 
{0x27be, 0x40B2, "0x0100", eReadWrite}, 
{0x27c0, 0x0003, "0x0100", eReadWrite}, 
{0x27c2, 0x7110, "0x0100", eReadWrite}, 
{0x27c4, 0x431F, "0x0100", eReadWrite}, 
{0x27c6, 0x4130, "0x0100", eReadWrite}, 
{0x27c8, 0x4F0E, "0x0100", eReadWrite}, 
{0x27ca, 0x421D, "0x0100", eReadWrite}, 
{0x27cc, 0x8104, "0x0100", eReadWrite}, 
{0x27ce, 0x425F, "0x0100", eReadWrite}, 
{0x27d0, 0x0198, "0x0100", eReadWrite}, 
{0x27d2, 0xF37F, "0x0100", eReadWrite}, 
{0x27d4, 0x903E, "0x0100", eReadWrite}, 
{0x27d6, 0x0003, "0x0100", eReadWrite}, 
{0x27d8, 0x2405, "0x0100", eReadWrite}, 
{0x27da, 0x931E, "0x0100", eReadWrite}, 
{0x27dc, 0x2403, "0x0100", eReadWrite}, 
{0x27de, 0x0B00, "0x0100", eReadWrite}, 
{0x27e0, 0x7302, "0x0100", eReadWrite}, 
{0x27e2, 0x0384, "0x0100", eReadWrite}, 
{0x27e4, 0x930F, "0x0100", eReadWrite}, 
{0x27e6, 0x2402, "0x0100", eReadWrite}, 
{0x27e8, 0x930D, "0x0100", eReadWrite}, 
{0x27ea, 0x2403, "0x0100", eReadWrite}, 
{0x27ec, 0x9392, "0x0100", eReadWrite}, 
{0x27ee, 0x7110, "0x0100", eReadWrite}, 
{0x27f0, 0x2018, "0x0100", eReadWrite}, 
{0x27f2, 0x9382, "0x0100", eReadWrite}, 
{0x27f4, 0x7308, "0x0100", eReadWrite}, 
{0x27f6, 0x2402, "0x0100", eReadWrite}, 
{0x27f8, 0x930E, "0x0100", eReadWrite}, 
{0x27fa, 0x2419, "0x0100", eReadWrite}, 
{0x27fc, 0x9382, "0x0100", eReadWrite}, 
{0x27fe, 0x7328, "0x0100", eReadWrite}, 
{0x2800, 0x2402, "0x0100", eReadWrite}, 
{0x2802, 0x931E, "0x0100", eReadWrite}, 
{0x2804, 0x2414, "0x0100", eReadWrite}, 
{0x2806, 0x9382, "0x0100", eReadWrite}, 
{0x2808, 0x710E, "0x0100", eReadWrite}, 
{0x280a, 0x2402, "0x0100", eReadWrite}, 
{0x280c, 0x932E, "0x0100", eReadWrite}, 
{0x280e, 0x240F, "0x0100", eReadWrite}, 
{0x2810, 0x9382, "0x0100", eReadWrite}, 
{0x2812, 0x7114, "0x0100", eReadWrite}, 
{0x2814, 0x2402, "0x0100", eReadWrite}, 
{0x2816, 0x922E, "0x0100", eReadWrite}, 
{0x2818, 0x240A, "0x0100", eReadWrite}, 
{0x281a, 0x903E, "0x0100", eReadWrite}, 
{0x281c, 0x0003, "0x0100", eReadWrite}, 
{0x281e, 0x23D7, "0x0100", eReadWrite}, 
{0x2820, 0x3C06, "0x0100", eReadWrite}, 
{0x2822, 0x43C2, "0x0100", eReadWrite}, 
{0x2824, 0x0A80, "0x0100", eReadWrite}, 
{0x2826, 0x0B00, "0x0100", eReadWrite}, 
{0x2828, 0x7302, "0x0100", eReadWrite}, 
{0x282a, 0xFFF0, "0x0100", eReadWrite}, 
{0x282c, 0x3FD0, "0x0100", eReadWrite}, 
{0x282e, 0x4F82, "0x0100", eReadWrite}, 
{0x2830, 0x8122, "0x0100", eReadWrite}, 
{0x2832, 0x431F, "0x0100", eReadWrite}, 
{0x2834, 0x4130, "0x0100", eReadWrite}, 
{0x2836, 0x120B, "0x0100", eReadWrite}, 
{0x2838, 0x120A, "0x0100", eReadWrite}, 
{0x283a, 0x1209, "0x0100", eReadWrite}, 
{0x283c, 0x1208, "0x0100", eReadWrite}, 
{0x283e, 0x1207, "0x0100", eReadWrite}, 
{0x2840, 0x1206, "0x0100", eReadWrite}, 
{0x2842, 0x403B, "0x0100", eReadWrite}, 
{0x2844, 0x000E, "0x0100", eReadWrite}, 
{0x2846, 0x510B, "0x0100", eReadWrite}, 
{0x2848, 0x4C09, "0x0100", eReadWrite}, 
{0x284a, 0x4D0A, "0x0100", eReadWrite}, 
{0x284c, 0x4B26, "0x0100", eReadWrite}, 
{0x284e, 0x5E0E, "0x0100", eReadWrite}, 
{0x2850, 0x6F0F, "0x0100", eReadWrite}, 
{0x2852, 0x5E0E, "0x0100", eReadWrite}, 
{0x2854, 0x6F0F, "0x0100", eReadWrite}, 
{0x2856, 0x5E0E, "0x0100", eReadWrite}, 
{0x2858, 0x6F0F, "0x0100", eReadWrite}, 
{0x285a, 0x5E0E, "0x0100", eReadWrite}, 
{0x285c, 0x6F0F, "0x0100", eReadWrite}, 
{0x285e, 0x4E0C, "0x0100", eReadWrite}, 
{0x2860, 0x4F0D, "0x0100", eReadWrite}, 
{0x2862, 0x4A0B, "0x0100", eReadWrite}, 
{0x2864, 0x490A, "0x0100", eReadWrite}, 
{0x2866, 0x12B0, "0x0100", eReadWrite}, 
{0x2868, 0xFDB0, "0x0100", eReadWrite}, 
{0x286a, 0x4C0F, "0x0100", eReadWrite}, 
{0x286c, 0x9382, "0x0100", eReadWrite}, 
{0x286e, 0x811E, "0x0100", eReadWrite}, 
{0x2870, 0x2031, "0x0100", eReadWrite}, 
{0x2872, 0x9382, "0x0100", eReadWrite}, 
{0x2874, 0x8116, "0x0100", eReadWrite}, 
{0x2876, 0x202E, "0x0100", eReadWrite}, 
{0x2878, 0x9382, "0x0100", eReadWrite}, 
{0x287a, 0x8118, "0x0100", eReadWrite}, 
{0x287c, 0x202B, "0x0100", eReadWrite}, 
{0x287e, 0x9382, "0x0100", eReadWrite}, 
{0x2880, 0x8126, "0x0100", eReadWrite}, 
{0x2882, 0x2028, "0x0100", eReadWrite}, 
{0x2884, 0x4217, "0x0100", eReadWrite}, 
{0x2886, 0x8140, "0x0100", eReadWrite}, 
{0x2888, 0x4C0A, "0x0100", eReadWrite}, 
{0x288a, 0x470C, "0x0100", eReadWrite}, 
{0x288c, 0x430B, "0x0100", eReadWrite}, 
{0x288e, 0x430D, "0x0100", eReadWrite}, 
{0x2890, 0x12B0, "0x0100", eReadWrite}, 
{0x2892, 0xFD90, "0x0100", eReadWrite}, 
{0x2894, 0x4E08, "0x0100", eReadWrite}, 
{0x2896, 0x4F09, "0x0100", eReadWrite}, 
{0x2898, 0x403F, "0x0100", eReadWrite}, 
{0x289a, 0x0100, "0x0100", eReadWrite}, 
{0x289c, 0x870F, "0x0100", eReadWrite}, 
{0x289e, 0x460A, "0x0100", eReadWrite}, 
{0x28a0, 0x4F0C, "0x0100", eReadWrite}, 
{0x28a2, 0x430B, "0x0100", eReadWrite}, 
{0x28a4, 0x430D, "0x0100", eReadWrite}, 
{0x28a6, 0x12B0, "0x0100", eReadWrite}, 
{0x28a8, 0xFD90, "0x0100", eReadWrite}, 
{0x28aa, 0x5E08, "0x0100", eReadWrite}, 
{0x28ac, 0x6F09, "0x0100", eReadWrite}, 
{0x28ae, 0x1088, "0x0100", eReadWrite}, 
{0x28b0, 0x1089, "0x0100", eReadWrite}, 
{0x28b2, 0xE948, "0x0100", eReadWrite}, 
{0x28b4, 0xE908, "0x0100", eReadWrite}, 
{0x28b6, 0xF379, "0x0100", eReadWrite}, 
{0x28b8, 0x480F, "0x0100", eReadWrite}, 
{0x28ba, 0x421E, "0x0100", eReadWrite}, 
{0x28bc, 0x8106, "0x0100", eReadWrite}, 
{0x28be, 0x980E, "0x0100", eReadWrite}, 
{0x28c0, 0x2C05, "0x0100", eReadWrite}, 
{0x28c2, 0x480D, "0x0100", eReadWrite}, 
{0x28c4, 0x8E0D, "0x0100", eReadWrite}, 
{0x28c6, 0x4D82, "0x0100", eReadWrite}, 
{0x28c8, 0x813C, "0x0100", eReadWrite}, 
{0x28ca, 0x3C09, "0x0100", eReadWrite}, 
{0x28cc, 0x880E, "0x0100", eReadWrite}, 
{0x28ce, 0x4E82, "0x0100", eReadWrite}, 
{0x28d0, 0x813C, "0x0100", eReadWrite}, 
{0x28d2, 0x3C05, "0x0100", eReadWrite}, 
{0x28d4, 0x4F82, "0x0100", eReadWrite}, 
{0x28d6, 0x8106, "0x0100", eReadWrite}, 
{0x28d8, 0x40B2, "0x0100", eReadWrite}, 
{0x28da, 0x00FF, "0x0100", eReadWrite}, 
{0x28dc, 0x813C, "0x0100", eReadWrite}, 
{0x28de, 0x4136, "0x0100", eReadWrite}, 
{0x28e0, 0x4137, "0x0100", eReadWrite}, 
{0x28e2, 0x4138, "0x0100", eReadWrite}, 
{0x28e4, 0x4139, "0x0100", eReadWrite}, 
{0x28e6, 0x413A, "0x0100", eReadWrite}, 
{0x28e8, 0x413B, "0x0100", eReadWrite}, 
{0x28ea, 0x4130, "0x0100", eReadWrite}, 
{0x28ec, 0x120A, "0x0100", eReadWrite}, 
{0x28ee, 0x4E0D, "0x0100", eReadWrite}, 
{0x28f0, 0x421A, "0x0100", eReadWrite}, 
{0x28f2, 0x8114, "0x0100", eReadWrite}, 
{0x28f4, 0x4F0C, "0x0100", eReadWrite}, 
{0x28f6, 0x12B0, "0x0100", eReadWrite}, 
{0x28f8, 0xFD7A, "0x0100", eReadWrite}, 
{0x28fa, 0x4E0F, "0x0100", eReadWrite}, 
{0x28fc, 0xC312, "0x0100", eReadWrite}, 
{0x28fe, 0x100F, "0x0100", eReadWrite}, 
{0x2900, 0x110F, "0x0100", eReadWrite}, 
{0x2902, 0x110F, "0x0100", eReadWrite}, 
{0x2904, 0x110F, "0x0100", eReadWrite}, 
{0x2906, 0x4F0A, "0x0100", eReadWrite}, 
{0x2908, 0x4D0C, "0x0100", eReadWrite}, 
{0x290a, 0x12B0, "0x0100", eReadWrite}, 
{0x290c, 0xFD7A, "0x0100", eReadWrite}, 
{0x290e, 0x4E0F, "0x0100", eReadWrite}, 
{0x2910, 0xC312, "0x0100", eReadWrite}, 
{0x2912, 0x100F, "0x0100", eReadWrite}, 
{0x2914, 0x110F, "0x0100", eReadWrite}, 
{0x2916, 0x110F, "0x0100", eReadWrite}, 
{0x2918, 0x110F, "0x0100", eReadWrite}, 
{0x291a, 0x413A, "0x0100", eReadWrite}, 
{0x291c, 0x4130, "0x0100", eReadWrite}, 
{0x291e, 0x120B, "0x0100", eReadWrite}, 
{0x2920, 0x120A, "0x0100", eReadWrite}, 
{0x2922, 0x1209, "0x0100", eReadWrite}, 
{0x2924, 0x1208, "0x0100", eReadWrite}, 
{0x2926, 0x4292, "0x0100", eReadWrite}, 
{0x2928, 0x0190, "0x0100", eReadWrite}, 
{0x292a, 0x0A84, "0x0100", eReadWrite}, 
{0x292c, 0x4292, "0x0100", eReadWrite}, 
{0x292e, 0x0192, "0x0100", eReadWrite}, 
{0x2930, 0x0A92, "0x0100", eReadWrite}, 
{0x2932, 0x4292, "0x0100", eReadWrite}, 
{0x2934, 0x0194, "0x0100", eReadWrite}, 
{0x2936, 0x0A94, "0x0100", eReadWrite}, 
{0x2938, 0x425F, "0x0100", eReadWrite}, 
{0x293a, 0x008C, "0x0100", eReadWrite}, 
{0x293c, 0x4FC2, "0x0100", eReadWrite}, 
{0x293e, 0x810C, "0x0100", eReadWrite}, 
{0x2940, 0x43C2, "0x0100", eReadWrite}, 
{0x2942, 0x810D, "0x0100", eReadWrite}, 
{0x2944, 0x4382, "0x0100", eReadWrite}, 
{0x2946, 0x0384, "0x0100", eReadWrite}, 
{0x2948, 0x40B2, "0x0100", eReadWrite}, 
{0x294a, 0x0020, "0x0100", eReadWrite}, 
{0x294c, 0x0386, "0x0100", eReadWrite}, 
{0x294e, 0xB3D2, "0x0100", eReadWrite}, 
{0x2950, 0x0080, "0x0100", eReadWrite}, 
{0x2952, 0x2403, "0x0100", eReadWrite}, 
{0x2954, 0x40B2, "0x0100", eReadWrite}, 
{0x2956, 0x8006, "0x0100", eReadWrite}, 
{0x2958, 0x0384, "0x0100", eReadWrite}, 
{0x295a, 0x4392, "0x0100", eReadWrite}, 
{0x295c, 0x8138, "0x0100", eReadWrite}, 
{0x295e, 0x4382, "0x0100", eReadWrite}, 
{0x2960, 0x740E, "0x0100", eReadWrite}, 
{0x2962, 0xB3E2, "0x0100", eReadWrite}, 
{0x2964, 0x0080, "0x0100", eReadWrite}, 
{0x2966, 0x2402, "0x0100", eReadWrite}, 
{0x2968, 0x4392, "0x0100", eReadWrite}, 
{0x296a, 0x740E, "0x0100", eReadWrite}, 
{0x296c, 0x40F2, "0x0100", eReadWrite}, 
{0x296e, 0x001E, "0x0100", eReadWrite}, 
{0x2970, 0x0C92, "0x0100", eReadWrite}, 
{0x2972, 0xD0F2, "0x0100", eReadWrite}, 
{0x2974, 0x0006, "0x0100", eReadWrite}, 
{0x2976, 0x0C81, "0x0100", eReadWrite}, 
{0x2978, 0x403B, "0x0100", eReadWrite}, 
{0x297a, 0x00BA, "0x0100", eReadWrite}, 
{0x297c, 0x4B6F, "0x0100", eReadWrite}, 
{0x297e, 0xF37F, "0x0100", eReadWrite}, 
{0x2980, 0x503F, "0x0100", eReadWrite}, 
{0x2982, 0x0010, "0x0100", eReadWrite}, 
{0x2984, 0x4F82, "0x0100", eReadWrite}, 
{0x2986, 0x8114, "0x0100", eReadWrite}, 
{0x2988, 0x425F, "0x0100", eReadWrite}, 
{0x298a, 0x0C87, "0x0100", eReadWrite}, 
{0x298c, 0x4F4E, "0x0100", eReadWrite}, 
{0x298e, 0x425F, "0x0100", eReadWrite}, 
{0x2990, 0x0C88, "0x0100", eReadWrite}, 
{0x2992, 0xF37F, "0x0100", eReadWrite}, 
{0x2994, 0x12B0, "0x0100", eReadWrite}, 
{0x2996, 0xF8EC, "0x0100", eReadWrite}, 
{0x2998, 0x4F82, "0x0100", eReadWrite}, 
{0x299a, 0x0C8C, "0x0100", eReadWrite}, 
{0x299c, 0x425F, "0x0100", eReadWrite}, 
{0x299e, 0x0C85, "0x0100", eReadWrite}, 
{0x29a0, 0x4F4E, "0x0100", eReadWrite}, 
{0x29a2, 0x425F, "0x0100", eReadWrite}, 
{0x29a4, 0x0C89, "0x0100", eReadWrite}, 
{0x29a6, 0xF37F, "0x0100", eReadWrite}, 
{0x29a8, 0x12B0, "0x0100", eReadWrite}, 
{0x29aa, 0xF8EC, "0x0100", eReadWrite}, 
{0x29ac, 0x4F82, "0x0100", eReadWrite}, 
{0x29ae, 0x0C8A, "0x0100", eReadWrite}, 
{0x29b0, 0x425D, "0x0100", eReadWrite}, 
{0x29b2, 0x00B7, "0x0100", eReadWrite}, 
{0x29b4, 0x5D4D, "0x0100", eReadWrite}, 
{0x29b6, 0x4DC2, "0x0100", eReadWrite}, 
{0x29b8, 0x0CB0, "0x0100", eReadWrite}, 
{0x29ba, 0x425E, "0x0100", eReadWrite}, 
{0x29bc, 0x00B8, "0x0100", eReadWrite}, 
{0x29be, 0x5E4E, "0x0100", eReadWrite}, 
{0x29c0, 0x4EC2, "0x0100", eReadWrite}, 
{0x29c2, 0x0CB1, "0x0100", eReadWrite}, 
{0x29c4, 0x4B6F, "0x0100", eReadWrite}, 
{0x29c6, 0xF37F, "0x0100", eReadWrite}, 
{0x29c8, 0x108F, "0x0100", eReadWrite}, 
{0x29ca, 0x403D, "0x0100", eReadWrite}, 
{0x29cc, 0x0B90, "0x0100", eReadWrite}, 
{0x29ce, 0x4D2E, "0x0100", eReadWrite}, 
{0x29d0, 0xF37E, "0x0100", eReadWrite}, 
{0x29d2, 0xDE0F, "0x0100", eReadWrite}, 
{0x29d4, 0x4F82, "0x0100", eReadWrite}, 
{0x29d6, 0x0B20, "0x0100", eReadWrite}, 
{0x29d8, 0x4B6F, "0x0100", eReadWrite}, 
{0x29da, 0xF37F, "0x0100", eReadWrite}, 
{0x29dc, 0x108F, "0x0100", eReadWrite}, 
{0x29de, 0x4D2E, "0x0100", eReadWrite}, 
{0x29e0, 0xF37E, "0x0100", eReadWrite}, 
{0x29e2, 0xDE0F, "0x0100", eReadWrite}, 
{0x29e4, 0x4F8D, "0x0100", eReadWrite}, 
{0x29e6, 0x0000, "0x0100", eReadWrite}, 
{0x29e8, 0x0C0A, "0x0100", eReadWrite}, 
{0x29ea, 0x425F, "0x0100", eReadWrite}, 
{0x29ec, 0x009E, "0x0100", eReadWrite}, 
{0x29ee, 0x4F4A, "0x0100", eReadWrite}, 
{0x29f0, 0x425F, "0x0100", eReadWrite}, 
{0x29f2, 0x009F, "0x0100", eReadWrite}, 
{0x29f4, 0xF37F, "0x0100", eReadWrite}, 
{0x29f6, 0x5F0A, "0x0100", eReadWrite}, 
{0x29f8, 0x110A, "0x0100", eReadWrite}, 
{0x29fa, 0x110A, "0x0100", eReadWrite}, 
{0x29fc, 0x425F, "0x0100", eReadWrite}, 
{0x29fe, 0x00B2, "0x0100", eReadWrite}, 
{0x2a00, 0x4F4B, "0x0100", eReadWrite}, 
{0x2a02, 0x425F, "0x0100", eReadWrite}, 
{0x2a04, 0x00B3, "0x0100", eReadWrite}, 
{0x2a06, 0xF37F, "0x0100", eReadWrite}, 
{0x2a08, 0x5F0B, "0x0100", eReadWrite}, 
{0x2a0a, 0x110B, "0x0100", eReadWrite}, 
{0x2a0c, 0x110B, "0x0100", eReadWrite}, 
{0x2a0e, 0x4A0E, "0x0100", eReadWrite}, 
{0x2a10, 0x5E0E, "0x0100", eReadWrite}, 
{0x2a12, 0x5E0E, "0x0100", eReadWrite}, 
{0x2a14, 0x5E0E, "0x0100", eReadWrite}, 
{0x2a16, 0x5E0E, "0x0100", eReadWrite}, 
{0x2a18, 0x4B0F, "0x0100", eReadWrite}, 
{0x2a1a, 0x5F0F, "0x0100", eReadWrite}, 
{0x2a1c, 0x5F0F, "0x0100", eReadWrite}, 
{0x2a1e, 0x5F0F, "0x0100", eReadWrite}, 
{0x2a20, 0x5F0F, "0x0100", eReadWrite}, 
{0x2a22, 0x5F0F, "0x0100", eReadWrite}, 
{0x2a24, 0x5F0F, "0x0100", eReadWrite}, 
{0x2a26, 0x5F0F, "0x0100", eReadWrite}, 
{0x2a28, 0xDF0E, "0x0100", eReadWrite}, 
{0x2a2a, 0x4E82, "0x0100", eReadWrite}, 
{0x2a2c, 0x0A8E, "0x0100", eReadWrite}, 
{0x2a2e, 0x403E, "0x0100", eReadWrite}, 
{0x2a30, 0x00BD, "0x0100", eReadWrite}, 
{0x2a32, 0x4E6F, "0x0100", eReadWrite}, 
{0x2a34, 0xF35F, "0x0100", eReadWrite}, 
{0x2a36, 0x4F0D, "0x0100", eReadWrite}, 
{0x2a38, 0xF31D, "0x0100", eReadWrite}, 
{0x2a3a, 0x4D82, "0x0100", eReadWrite}, 
{0x2a3c, 0x8108, "0x0100", eReadWrite}, 
{0x2a3e, 0x4E6F, "0x0100", eReadWrite}, 
{0x2a40, 0xF36F, "0x0100", eReadWrite}, 
{0x2a42, 0x4F0E, "0x0100", eReadWrite}, 
{0x2a44, 0xF32E, "0x0100", eReadWrite}, 
{0x2a46, 0x4E82, "0x0100", eReadWrite}, 
{0x2a48, 0x8124, "0x0100", eReadWrite}, 
{0x2a4a, 0x43B2, "0x0100", eReadWrite}, 
{0x2a4c, 0x7500, "0x0100", eReadWrite}, 
{0x2a4e, 0x43B2, "0x0100", eReadWrite}, 
{0x2a50, 0x7502, "0x0100", eReadWrite}, 
{0x2a52, 0x43B2, "0x0100", eReadWrite}, 
{0x2a54, 0x7504, "0x0100", eReadWrite}, 
{0x2a56, 0x43B2, "0x0100", eReadWrite}, 
{0x2a58, 0x7506, "0x0100", eReadWrite}, 
{0x2a5a, 0x43B2, "0x0100", eReadWrite}, 
{0x2a5c, 0x7508, "0x0100", eReadWrite}, 
{0x2a5e, 0x43B2, "0x0100", eReadWrite}, 
{0x2a60, 0x750A, "0x0100", eReadWrite}, 
{0x2a62, 0x43B2, "0x0100", eReadWrite}, 
{0x2a64, 0x750C, "0x0100", eReadWrite}, 
{0x2a66, 0x43B2, "0x0100", eReadWrite}, 
{0x2a68, 0x750E, "0x0100", eReadWrite}, 
{0x2a6a, 0x43B2, "0x0100", eReadWrite}, 
{0x2a6c, 0x7510, "0x0100", eReadWrite}, 
{0x2a6e, 0x43B2, "0x0100", eReadWrite}, 
{0x2a70, 0x7512, "0x0100", eReadWrite}, 
{0x2a72, 0x43B2, "0x0100", eReadWrite}, 
{0x2a74, 0x7514, "0x0100", eReadWrite}, 
{0x2a76, 0x43B2, "0x0100", eReadWrite}, 
{0x2a78, 0x7516, "0x0100", eReadWrite}, 
{0x2a7a, 0x43B2, "0x0100", eReadWrite}, 
{0x2a7c, 0x7518, "0x0100", eReadWrite}, 
{0x2a7e, 0x43B2, "0x0100", eReadWrite}, 
{0x2a80, 0x751A, "0x0100", eReadWrite}, 
{0x2a82, 0x43B2, "0x0100", eReadWrite}, 
{0x2a84, 0x751C, "0x0100", eReadWrite}, 
{0x2a86, 0x43B2, "0x0100", eReadWrite}, 
{0x2a88, 0x751E, "0x0100", eReadWrite}, 
{0x2a8a, 0xB3E2, "0x0100", eReadWrite}, 
{0x2a8c, 0x0080, "0x0100", eReadWrite}, 
{0x2a8e, 0x2403, "0x0100", eReadWrite}, 
{0x2a90, 0x40F2, "0x0100", eReadWrite}, 
{0x2a92, 0x0003, "0x0100", eReadWrite}, 
{0x2a94, 0x00B5, "0x0100", eReadWrite}, 
{0x2a96, 0x43B2, "0x0100", eReadWrite}, 
{0x2a98, 0x752C, "0x0100", eReadWrite}, 
{0x2a9a, 0x40B2, "0x0100", eReadWrite}, 
{0x2a9c, 0x1001, "0x0100", eReadWrite}, 
{0x2a9e, 0x7500, "0x0100", eReadWrite}, 
{0x2aa0, 0x40B2, "0x0100", eReadWrite}, 
{0x2aa2, 0x080D, "0x0100", eReadWrite}, 
{0x2aa4, 0x7502, "0x0100", eReadWrite}, 
{0x2aa6, 0x40B2, "0x0100", eReadWrite}, 
{0x2aa8, 0x080F, "0x0100", eReadWrite}, 
{0x2aaa, 0x7504, "0x0100", eReadWrite}, 
{0x2aac, 0x40B2, "0x0100", eReadWrite}, 
{0x2aae, 0x6803, "0x0100", eReadWrite}, 
{0x2ab0, 0x7506, "0x0100", eReadWrite}, 
{0x2ab2, 0x40B2, "0x0100", eReadWrite}, 
{0x2ab4, 0x0802, "0x0100", eReadWrite}, 
{0x2ab6, 0x7508, "0x0100", eReadWrite}, 
{0x2ab8, 0x40B2, "0x0100", eReadWrite}, 
{0x2aba, 0x0800, "0x0100", eReadWrite}, 
{0x2abc, 0x750A, "0x0100", eReadWrite}, 
{0x2abe, 0x403F, "0x0100", eReadWrite}, 
{0x2ac0, 0x0003, "0x0100", eReadWrite}, 
{0x2ac2, 0x12B0, "0x0100", eReadWrite}, 
{0x2ac4, 0xF7C8, "0x0100", eReadWrite}, 
{0x2ac6, 0x421F, "0x0100", eReadWrite}, 
{0x2ac8, 0x0098, "0x0100", eReadWrite}, 
{0x2aca, 0x821F, "0x0100", eReadWrite}, 
{0x2acc, 0x0092, "0x0100", eReadWrite}, 
{0x2ace, 0x531F, "0x0100", eReadWrite}, 
{0x2ad0, 0xC312, "0x0100", eReadWrite}, 
{0x2ad2, 0x100F, "0x0100", eReadWrite}, 
{0x2ad4, 0x421E, "0x0100", eReadWrite}, 
{0x2ad6, 0x00AC, "0x0100", eReadWrite}, 
{0x2ad8, 0x821E, "0x0100", eReadWrite}, 
{0x2ada, 0x00A6, "0x0100", eReadWrite}, 
{0x2adc, 0x531E, "0x0100", eReadWrite}, 
{0x2ade, 0x4A0D, "0x0100", eReadWrite}, 
{0x2ae0, 0x930D, "0x0100", eReadWrite}, 
{0x2ae2, 0x2404, "0x0100", eReadWrite}, 
{0x2ae4, 0xC312, "0x0100", eReadWrite}, 
{0x2ae6, 0x100F, "0x0100", eReadWrite}, 
{0x2ae8, 0x831D, "0x0100", eReadWrite}, 
{0x2aea, 0x23FC, "0x0100", eReadWrite}, 
{0x2aec, 0x531F, "0x0100", eReadWrite}, 
{0x2aee, 0xC31F, "0x0100", eReadWrite}, 
{0x2af0, 0x4F82, "0x0100", eReadWrite}, 
{0x2af2, 0x0A86, "0x0100", eReadWrite}, 
{0x2af4, 0x4B0F, "0x0100", eReadWrite}, 
{0x2af6, 0x930F, "0x0100", eReadWrite}, 
{0x2af8, 0x2404, "0x0100", eReadWrite}, 
{0x2afa, 0xC312, "0x0100", eReadWrite}, 
{0x2afc, 0x100E, "0x0100", eReadWrite}, 
{0x2afe, 0x831F, "0x0100", eReadWrite}, 
{0x2b00, 0x23FC, "0x0100", eReadWrite}, 
{0x2b02, 0x531E, "0x0100", eReadWrite}, 
{0x2b04, 0xC31E, "0x0100", eReadWrite}, 
{0x2b06, 0x4E82, "0x0100", eReadWrite}, 
{0x2b08, 0x0A88, "0x0100", eReadWrite}, 
{0x2b0a, 0xB0B2, "0x0100", eReadWrite}, 
{0x2b0c, 0x0010, "0x0100", eReadWrite}, 
{0x2b0e, 0x0A84, "0x0100", eReadWrite}, 
{0x2b10, 0x24FD, "0x0100", eReadWrite}, 
{0x2b12, 0x421F, "0x0100", eReadWrite}, 
{0x2b14, 0x068C, "0x0100", eReadWrite}, 
{0x2b16, 0xC312, "0x0100", eReadWrite}, 
{0x2b18, 0x100F, "0x0100", eReadWrite}, 
{0x2b1a, 0x4F82, "0x0100", eReadWrite}, 
{0x2b1c, 0x0784, "0x0100", eReadWrite}, 
{0x2b1e, 0x4292, "0x0100", eReadWrite}, 
{0x2b20, 0x068E, "0x0100", eReadWrite}, 
{0x2b22, 0x0786, "0x0100", eReadWrite}, 
{0x2b24, 0xB3D2, "0x0100", eReadWrite}, 
{0x2b26, 0x0CB6, "0x0100", eReadWrite}, 
{0x2b28, 0x2417, "0x0100", eReadWrite}, 
{0x2b2a, 0x421A, "0x0100", eReadWrite}, 
{0x2b2c, 0x0CB8, "0x0100", eReadWrite}, 
{0x2b2e, 0x430B, "0x0100", eReadWrite}, 
{0x2b30, 0x425F, "0x0100", eReadWrite}, 
{0x2b32, 0x0CBA, "0x0100", eReadWrite}, 
{0x2b34, 0x4F4E, "0x0100", eReadWrite}, 
{0x2b36, 0x430F, "0x0100", eReadWrite}, 
{0x2b38, 0x4E0F, "0x0100", eReadWrite}, 
{0x2b3a, 0x430E, "0x0100", eReadWrite}, 
{0x2b3c, 0xDE0A, "0x0100", eReadWrite}, 
{0x2b3e, 0xDF0B, "0x0100", eReadWrite}, 
{0x2b40, 0x421F, "0x0100", eReadWrite}, 
{0x2b42, 0x0CBC, "0x0100", eReadWrite}, 
{0x2b44, 0x4F0C, "0x0100", eReadWrite}, 
{0x2b46, 0x430D, "0x0100", eReadWrite}, 
{0x2b48, 0x421F, "0x0100", eReadWrite}, 
{0x2b4a, 0x0CBE, "0x0100", eReadWrite}, 
{0x2b4c, 0x430E, "0x0100", eReadWrite}, 
{0x2b4e, 0xDE0C, "0x0100", eReadWrite}, 
{0x2b50, 0xDF0D, "0x0100", eReadWrite}, 
{0x2b52, 0x12B0, "0x0100", eReadWrite}, 
{0x2b54, 0xFDB0, "0x0100", eReadWrite}, 
{0x2b56, 0x4C09, "0x0100", eReadWrite}, 
{0x2b58, 0xB2A2, "0x0100", eReadWrite}, 
{0x2b5a, 0x0A84, "0x0100", eReadWrite}, 
{0x2b5c, 0x2418, "0x0100", eReadWrite}, 
{0x2b5e, 0x421B, "0x0100", eReadWrite}, 
{0x2b60, 0x0A96, "0x0100", eReadWrite}, 
{0x2b62, 0xC312, "0x0100", eReadWrite}, 
{0x2b64, 0x100B, "0x0100", eReadWrite}, 
{0x2b66, 0x110B, "0x0100", eReadWrite}, 
{0x2b68, 0x110B, "0x0100", eReadWrite}, 
{0x2b6a, 0x43C2, "0x0100", eReadWrite}, 
{0x2b6c, 0x0A98, "0x0100", eReadWrite}, 
{0x2b6e, 0x4392, "0x0100", eReadWrite}, 
{0x2b70, 0x8112, "0x0100", eReadWrite}, 
{0x2b72, 0x421D, "0x0100", eReadWrite}, 
{0x2b74, 0x8112, "0x0100", eReadWrite}, 
{0x2b76, 0x4B0A, "0x0100", eReadWrite}, 
{0x2b78, 0x4D0C, "0x0100", eReadWrite}, 
{0x2b7a, 0x12B0, "0x0100", eReadWrite}, 
{0x2b7c, 0xFD7A, "0x0100", eReadWrite}, 
{0x2b7e, 0x9E09, "0x0100", eReadWrite}, 
{0x2b80, 0x28BA, "0x0100", eReadWrite}, 
{0x2b82, 0x531D, "0x0100", eReadWrite}, 
{0x2b84, 0x4D82, "0x0100", eReadWrite}, 
{0x2b86, 0x8112, "0x0100", eReadWrite}, 
{0x2b88, 0x903D, "0x0100", eReadWrite}, 
{0x2b8a, 0x0009, "0x0100", eReadWrite}, 
{0x2b8c, 0x3BF2, "0x0100", eReadWrite}, 
{0x2b8e, 0xB3D2, "0x0100", eReadWrite}, 
{0x2b90, 0x0788, "0x0100", eReadWrite}, 
{0x2b92, 0x2427, "0x0100", eReadWrite}, 
{0x2b94, 0xB3D2, "0x0100", eReadWrite}, 
{0x2b96, 0x07BC, "0x0100", eReadWrite}, 
{0x2b98, 0x2424, "0x0100", eReadWrite}, 
{0x2b9a, 0xB0B2, "0x0100", eReadWrite}, 
{0x2b9c, 0x0020, "0x0100", eReadWrite}, 
{0x2b9e, 0x0A84, "0x0100", eReadWrite}, 
{0x2ba0, 0x2420, "0x0100", eReadWrite}, 
{0x2ba2, 0x43C2, "0x0100", eReadWrite}, 
{0x2ba4, 0x07AD, "0x0100", eReadWrite}, 
{0x2ba6, 0x43C2, "0x0100", eReadWrite}, 
{0x2ba8, 0x07AF, "0x0100", eReadWrite}, 
{0x2baa, 0x43C2, "0x0100", eReadWrite}, 
{0x2bac, 0x07B1, "0x0100", eReadWrite}, 
{0x2bae, 0x421E, "0x0100", eReadWrite}, 
{0x2bb0, 0x0084, "0x0100", eReadWrite}, 
{0x2bb2, 0x421F, "0x0100", eReadWrite}, 
{0x2bb4, 0x07B8, "0x0100", eReadWrite}, 
{0x2bb6, 0x9F0E, "0x0100", eReadWrite}, 
{0x2bb8, 0x2870, "0x0100", eReadWrite}, 
{0x2bba, 0x43F2, "0x0100", eReadWrite}, 
{0x2bbc, 0x07AC, "0x0100", eReadWrite}, 
{0x2bbe, 0x40F2, "0x0100", eReadWrite}, 
{0x2bc0, 0x0053, "0x0100", eReadWrite}, 
{0x2bc2, 0x07AE, "0x0100", eReadWrite}, 
{0x2bc4, 0x40F2, "0x0100", eReadWrite}, 
{0x2bc6, 0x002C, "0x0100", eReadWrite}, 
{0x2bc8, 0x07B0, "0x0100", eReadWrite}, 
{0x2bca, 0x40F2, "0x0100", eReadWrite}, 
{0x2bcc, 0x001F, "0x0100", eReadWrite}, 
{0x2bce, 0x07B2, "0x0100", eReadWrite}, 
{0x2bd0, 0x425E, "0x0100", eReadWrite}, 
{0x2bd2, 0x00BA, "0x0100", eReadWrite}, 
{0x2bd4, 0x425F, "0x0100", eReadWrite}, 
{0x2bd6, 0x07B4, "0x0100", eReadWrite}, 
{0x2bd8, 0x9F4E, "0x0100", eReadWrite}, 
{0x2bda, 0x2851, "0x0100", eReadWrite}, 
{0x2bdc, 0x40F2, "0x0100", eReadWrite}, 
{0x2bde, 0x0040, "0x0100", eReadWrite}, 
{0x2be0, 0x0789, "0x0100", eReadWrite}, 
{0x2be2, 0x403F, "0x0100", eReadWrite}, 
{0x2be4, 0x7524, "0x0100", eReadWrite}, 
{0x2be6, 0x4FA2, "0x0100", eReadWrite}, 
{0x2be8, 0x7528, "0x0100", eReadWrite}, 
{0x2bea, 0x429F, "0x0100", eReadWrite}, 
{0x2bec, 0x0084, "0x0100", eReadWrite}, 
{0x2bee, 0x0000, "0x0100", eReadWrite}, 
{0x2bf0, 0x4292, "0x0100", eReadWrite}, 
{0x2bf2, 0x0088, "0x0100", eReadWrite}, 
{0x2bf4, 0x7316, "0x0100", eReadWrite}, 
{0x2bf6, 0x93C2, "0x0100", eReadWrite}, 
{0x2bf8, 0x008C, "0x0100", eReadWrite}, 
{0x2bfa, 0x2403, "0x0100", eReadWrite}, 
{0x2bfc, 0x4292, "0x0100", eReadWrite}, 
{0x2bfe, 0x008A, "0x0100", eReadWrite}, 
{0x2c00, 0x7316, "0x0100", eReadWrite}, 
{0x2c02, 0x430E, "0x0100", eReadWrite}, 
{0x2c04, 0x421F, "0x0100", eReadWrite}, 
{0x2c06, 0x0086, "0x0100", eReadWrite}, 
{0x2c08, 0x503F, "0x0100", eReadWrite}, 
{0x2c0a, 0xFFFB, "0x0100", eReadWrite}, 
{0x2c0c, 0x9F82, "0x0100", eReadWrite}, 
{0x2c0e, 0x0084, "0x0100", eReadWrite}, 
{0x2c10, 0x2801, "0x0100", eReadWrite}, 
{0x2c12, 0x431E, "0x0100", eReadWrite}, 
{0x2c14, 0x4292, "0x0100", eReadWrite}, 
{0x2c16, 0x0086, "0x0100", eReadWrite}, 
{0x2c18, 0x7314, "0x0100", eReadWrite}, 
{0x2c1a, 0x93C2, "0x0100", eReadWrite}, 
{0x2c1c, 0x00BC, "0x0100", eReadWrite}, 
{0x2c1e, 0x2008, "0x0100", eReadWrite}, 
{0x2c20, 0xB31E, "0x0100", eReadWrite}, 
{0x2c22, 0x2406, "0x0100", eReadWrite}, 
{0x2c24, 0x421D, "0x0100", eReadWrite}, 
{0x2c26, 0x0084, "0x0100", eReadWrite}, 
{0x2c28, 0x503D, "0x0100", eReadWrite}, 
{0x2c2a, 0x0005, "0x0100", eReadWrite}, 
{0x2c2c, 0x4D82, "0x0100", eReadWrite}, 
{0x2c2e, 0x7314, "0x0100", eReadWrite}, 
{0x2c30, 0x425F, "0x0100", eReadWrite}, 
{0x2c32, 0x00BC, "0x0100", eReadWrite}, 
{0x2c34, 0xF37F, "0x0100", eReadWrite}, 
{0x2c36, 0xFE0F, "0x0100", eReadWrite}, 
{0x2c38, 0x241B, "0x0100", eReadWrite}, 
{0x2c3a, 0x421E, "0x0100", eReadWrite}, 
{0x2c3c, 0x0086, "0x0100", eReadWrite}, 
{0x2c3e, 0x503E, "0x0100", eReadWrite}, 
{0x2c40, 0xFFFB, "0x0100", eReadWrite}, 
{0x2c42, 0x4E82, "0x0100", eReadWrite}, 
{0x2c44, 0x7524, "0x0100", eReadWrite}, 
{0x2c46, 0x430E, "0x0100", eReadWrite}, 
{0x2c48, 0x421F, "0x0100", eReadWrite}, 
{0x2c4a, 0x7524, "0x0100", eReadWrite}, 
{0x2c4c, 0x9F82, "0x0100", eReadWrite}, 
{0x2c4e, 0x7528, "0x0100", eReadWrite}, 
{0x2c50, 0x2C01, "0x0100", eReadWrite}, 
{0x2c52, 0x431E, "0x0100", eReadWrite}, 
{0x2c54, 0x430F, "0x0100", eReadWrite}, 
{0x2c56, 0x9382, "0x0100", eReadWrite}, 
{0x2c58, 0x8118, "0x0100", eReadWrite}, 
{0x2c5a, 0x2001, "0x0100", eReadWrite}, 
{0x2c5c, 0x431F, "0x0100", eReadWrite}, 
{0x2c5e, 0xFE0F, "0x0100", eReadWrite}, 
{0x2c60, 0x40B2, "0x0100", eReadWrite}, 
{0x2c62, 0x002E, "0x0100", eReadWrite}, 
{0x2c64, 0x7522, "0x0100", eReadWrite}, 
{0x2c66, 0x2459, "0x0100", eReadWrite}, 
{0x2c68, 0x40B2, "0x0100", eReadWrite}, 
{0x2c6a, 0x0064, "0x0100", eReadWrite}, 
{0x2c6c, 0x7522, "0x0100", eReadWrite}, 
{0x2c6e, 0x3C55, "0x0100", eReadWrite}, 
{0x2c70, 0x90B2, "0x0100", eReadWrite}, 
{0x2c72, 0x0005, "0x0100", eReadWrite}, 
{0x2c74, 0x7524, "0x0100", eReadWrite}, 
{0x2c76, 0x2FE7, "0x0100", eReadWrite}, 
{0x2c78, 0x42A2, "0x0100", eReadWrite}, 
{0x2c7a, 0x7524, "0x0100", eReadWrite}, 
{0x2c7c, 0x3FE4, "0x0100", eReadWrite}, 
{0x2c7e, 0x425E, "0x0100", eReadWrite}, 
{0x2c80, 0x00BA, "0x0100", eReadWrite}, 
{0x2c82, 0x425F, "0x0100", eReadWrite}, 
{0x2c84, 0x07B5, "0x0100", eReadWrite}, 
{0x2c86, 0x9F4E, "0x0100", eReadWrite}, 
{0x2c88, 0x2804, "0x0100", eReadWrite}, 
{0x2c8a, 0x40F2, "0x0100", eReadWrite}, 
{0x2c8c, 0x0020, "0x0100", eReadWrite}, 
{0x2c8e, 0x0789, "0x0100", eReadWrite}, 
{0x2c90, 0x3FA8, "0x0100", eReadWrite}, 
{0x2c92, 0x40F2, "0x0100", eReadWrite}, 
{0x2c94, 0x0010, "0x0100", eReadWrite}, 
{0x2c96, 0x0789, "0x0100", eReadWrite}, 
{0x2c98, 0x3FA4, "0x0100", eReadWrite}, 
{0x2c9a, 0x421F, "0x0100", eReadWrite}, 
{0x2c9c, 0x0084, "0x0100", eReadWrite}, 
{0x2c9e, 0x9F82, "0x0100", eReadWrite}, 
{0x2ca0, 0x07BA, "0x0100", eReadWrite}, 
{0x2ca2, 0x2810, "0x0100", eReadWrite}, 
{0x2ca4, 0x425F, "0x0100", eReadWrite}, 
{0x2ca6, 0x00BA, "0x0100", eReadWrite}, 
{0x2ca8, 0x9FC2, "0x0100", eReadWrite}, 
{0x2caa, 0x07B7, "0x0100", eReadWrite}, 
{0x2cac, 0x280B, "0x0100", eReadWrite}, 
{0x2cae, 0x42E2, "0x0100", eReadWrite}, 
{0x2cb0, 0x0789, "0x0100", eReadWrite}, 
{0x2cb2, 0x43C2, "0x0100", eReadWrite}, 
{0x2cb4, 0x07AC, "0x0100", eReadWrite}, 
{0x2cb6, 0x43C2, "0x0100", eReadWrite}, 
{0x2cb8, 0x07AE, "0x0100", eReadWrite}, 
{0x2cba, 0x43C2, "0x0100", eReadWrite}, 
{0x2cbc, 0x07B0, "0x0100", eReadWrite}, 
{0x2cbe, 0x43C2, "0x0100", eReadWrite}, 
{0x2cc0, 0x07B2, "0x0100", eReadWrite}, 
{0x2cc2, 0x3F8F, "0x0100", eReadWrite}, 
{0x2cc4, 0x421F, "0x0100", eReadWrite}, 
{0x2cc6, 0x07BA, "0x0100", eReadWrite}, 
{0x2cc8, 0x9F82, "0x0100", eReadWrite}, 
{0x2cca, 0x0084, "0x0100", eReadWrite}, 
{0x2ccc, 0x2B8A, "0x0100", eReadWrite}, 
{0x2cce, 0x421E, "0x0100", eReadWrite}, 
{0x2cd0, 0x0084, "0x0100", eReadWrite}, 
{0x2cd2, 0x421F, "0x0100", eReadWrite}, 
{0x2cd4, 0x07B8, "0x0100", eReadWrite}, 
{0x2cd6, 0x9F0E, "0x0100", eReadWrite}, 
{0x2cd8, 0x2F84, "0x0100", eReadWrite}, 
{0x2cda, 0x42F2, "0x0100", eReadWrite}, 
{0x2cdc, 0x0789, "0x0100", eReadWrite}, 
{0x2cde, 0x43F2, "0x0100", eReadWrite}, 
{0x2ce0, 0x07AC, "0x0100", eReadWrite}, 
{0x2ce2, 0x40F2, "0x0100", eReadWrite}, 
{0x2ce4, 0x0024, "0x0100", eReadWrite}, 
{0x2ce6, 0x07AE, "0x0100", eReadWrite}, 
{0x2ce8, 0x40F2, "0x0100", eReadWrite}, 
{0x2cea, 0x001A, "0x0100", eReadWrite}, 
{0x2cec, 0x07B0, "0x0100", eReadWrite}, 
{0x2cee, 0x40F2, "0x0100", eReadWrite}, 
{0x2cf0, 0x0005, "0x0100", eReadWrite}, 
{0x2cf2, 0x07B2, "0x0100", eReadWrite}, 
{0x2cf4, 0x3F76, "0x0100", eReadWrite}, 
{0x2cf6, 0x431F, "0x0100", eReadWrite}, 
{0x2cf8, 0x4D0C, "0x0100", eReadWrite}, 
{0x2cfa, 0x533C, "0x0100", eReadWrite}, 
{0x2cfc, 0x930C, "0x0100", eReadWrite}, 
{0x2cfe, 0x2403, "0x0100", eReadWrite}, 
{0x2d00, 0x5F0F, "0x0100", eReadWrite}, 
{0x2d02, 0x831C, "0x0100", eReadWrite}, 
{0x2d04, 0x23FD, "0x0100", eReadWrite}, 
{0x2d06, 0x4FC2, "0x0100", eReadWrite}, 
{0x2d08, 0x0A98, "0x0100", eReadWrite}, 
{0x2d0a, 0x3F41, "0x0100", eReadWrite}, 
{0x2d0c, 0x4292, "0x0100", eReadWrite}, 
{0x2d0e, 0x0A86, "0x0100", eReadWrite}, 
{0x2d10, 0x0784, "0x0100", eReadWrite}, 
{0x2d12, 0x4292, "0x0100", eReadWrite}, 
{0x2d14, 0x0A88, "0x0100", eReadWrite}, 
{0x2d16, 0x0786, "0x0100", eReadWrite}, 
{0x2d18, 0x3F05, "0x0100", eReadWrite}, 
{0x2d1a, 0x421F, "0x0100", eReadWrite}, 
{0x2d1c, 0x811E, "0x0100", eReadWrite}, 
{0x2d1e, 0xD21F, "0x0100", eReadWrite}, 
{0x2d20, 0x8100, "0x0100", eReadWrite}, 
{0x2d22, 0x5F0F, "0x0100", eReadWrite}, 
{0x2d24, 0xF32F, "0x0100", eReadWrite}, 
{0x2d26, 0x4F82, "0x0100", eReadWrite}, 
{0x2d28, 0x811E, "0x0100", eReadWrite}, 
{0x2d2a, 0x421F, "0x0100", eReadWrite}, 
{0x2d2c, 0x811A, "0x0100", eReadWrite}, 
{0x2d2e, 0xD21F, "0x0100", eReadWrite}, 
{0x2d30, 0x811C, "0x0100", eReadWrite}, 
{0x2d32, 0x5F0F, "0x0100", eReadWrite}, 
{0x2d34, 0xF32F, "0x0100", eReadWrite}, 
{0x2d36, 0x4F82, "0x0100", eReadWrite}, 
{0x2d38, 0x811A, "0x0100", eReadWrite}, 
{0x2d3a, 0xD392, "0x0100", eReadWrite}, 
{0x2d3c, 0x7102, "0x0100", eReadWrite}, 
{0x2d3e, 0x4138, "0x0100", eReadWrite}, 
{0x2d40, 0x4139, "0x0100", eReadWrite}, 
{0x2d42, 0x413A, "0x0100", eReadWrite}, 
{0x2d44, 0x413B, "0x0100", eReadWrite}, 
{0x2d46, 0x4130, "0x0100", eReadWrite}, 
{0x2d48, 0x0260, "0x0100", eReadWrite}, 
{0x2d4a, 0x0000, "0x0100", eReadWrite}, 
{0x2d4c, 0x0C5A, "0x0100", eReadWrite}, 
{0x2d4e, 0x0240, "0x0100", eReadWrite}, 
{0x2d50, 0x0000, "0x0100", eReadWrite}, 
{0x2d52, 0x0260, "0x0100", eReadWrite}, 
{0x2d54, 0x0000, "0x0100", eReadWrite}, 
{0x2d56, 0x0C14, "0x0100", eReadWrite}, 
{0x2d58, 0x4130, "0x0100", eReadWrite}, 
{0x2d5a, 0x4382, "0x0100", eReadWrite}, 
{0x2d5c, 0x7602, "0x0100", eReadWrite}, 
{0x2d5e, 0x4F82, "0x0100", eReadWrite}, 
{0x2d60, 0x7600, "0x0100", eReadWrite}, 
{0x2d62, 0x0270, "0x0100", eReadWrite}, 
{0x2d64, 0x0000, "0x0100", eReadWrite}, 
{0x2d66, 0x0C1B, "0x0100", eReadWrite}, 
{0x2d68, 0x0270, "0x0100", eReadWrite}, 
{0x2d6a, 0x0001, "0x0100", eReadWrite}, 
{0x2d6c, 0x421F, "0x0100", eReadWrite}, 
{0x2d6e, 0x7606, "0x0100", eReadWrite}, 
{0x2d70, 0x4FC2, "0x0100", eReadWrite}, 
{0x2d72, 0x0188, "0x0100", eReadWrite}, 
{0x2d74, 0x4130, "0x0100", eReadWrite}, 
{0x2d76, 0xDF02, "0x0100", eReadWrite}, 
{0x2d78, 0x3FFE, "0x0100", eReadWrite}, 
{0x2d7a, 0x430E, "0x0100", eReadWrite}, 
{0x2d7c, 0x930A, "0x0100", eReadWrite}, 
{0x2d7e, 0x2407, "0x0100", eReadWrite}, 
{0x2d80, 0xC312, "0x0100", eReadWrite}, 
{0x2d82, 0x100C, "0x0100", eReadWrite}, 
{0x2d84, 0x2801, "0x0100", eReadWrite}, 
{0x2d86, 0x5A0E, "0x0100", eReadWrite}, 
{0x2d88, 0x5A0A, "0x0100", eReadWrite}, 
{0x2d8a, 0x930C, "0x0100", eReadWrite}, 
{0x2d8c, 0x23F7, "0x0100", eReadWrite}, 
{0x2d8e, 0x4130, "0x0100", eReadWrite}, 
{0x2d90, 0x4030, "0x0100", eReadWrite}, 
{0x2d92, 0xFDDA, "0x0100", eReadWrite}, 
{0x2d94, 0xEE0E, "0x0100", eReadWrite}, 
{0x2d96, 0x403B, "0x0100", eReadWrite}, 
{0x2d98, 0x0011, "0x0100", eReadWrite}, 
{0x2d9a, 0x3C05, "0x0100", eReadWrite}, 
{0x2d9c, 0x100D, "0x0100", eReadWrite}, 
{0x2d9e, 0x6E0E, "0x0100", eReadWrite}, 
{0x2da0, 0x9A0E, "0x0100", eReadWrite}, 
{0x2da2, 0x2801, "0x0100", eReadWrite}, 
{0x2da4, 0x8A0E, "0x0100", eReadWrite}, 
{0x2da6, 0x6C0C, "0x0100", eReadWrite}, 
{0x2da8, 0x6D0D, "0x0100", eReadWrite}, 
{0x2daa, 0x831B, "0x0100", eReadWrite}, 
{0x2dac, 0x23F7, "0x0100", eReadWrite}, 
{0x2dae, 0x4130, "0x0100", eReadWrite}, 
{0x2db0, 0xEF0F, "0x0100", eReadWrite}, 
{0x2db2, 0xEE0E, "0x0100", eReadWrite}, 
{0x2db4, 0x4039, "0x0100", eReadWrite}, 
{0x2db6, 0x0021, "0x0100", eReadWrite}, 
{0x2db8, 0x3C0A, "0x0100", eReadWrite}, 
{0x2dba, 0x1008, "0x0100", eReadWrite}, 
{0x2dbc, 0x6E0E, "0x0100", eReadWrite}, 
{0x2dbe, 0x6F0F, "0x0100", eReadWrite}, 
{0x2dc0, 0x9B0F, "0x0100", eReadWrite}, 
{0x2dc2, 0x2805, "0x0100", eReadWrite}, 
{0x2dc4, 0x2002, "0x0100", eReadWrite}, 
{0x2dc6, 0x9A0E, "0x0100", eReadWrite}, 
{0x2dc8, 0x2802, "0x0100", eReadWrite}, 
{0x2dca, 0x8A0E, "0x0100", eReadWrite}, 
{0x2dcc, 0x7B0F, "0x0100", eReadWrite}, 
{0x2dce, 0x6C0C, "0x0100", eReadWrite}, 
{0x2dd0, 0x6D0D, "0x0100", eReadWrite}, 
{0x2dd2, 0x6808, "0x0100", eReadWrite}, 
{0x2dd4, 0x8319, "0x0100", eReadWrite}, 
{0x2dd6, 0x23F1, "0x0100", eReadWrite}, 
{0x2dd8, 0x4130, "0x0100", eReadWrite}, 
{0x2dda, 0x430E, "0x0100", eReadWrite}, 
{0x2ddc, 0x430F, "0x0100", eReadWrite}, 
{0x2dde, 0x3C08, "0x0100", eReadWrite}, 
{0x2de0, 0xC312, "0x0100", eReadWrite}, 
{0x2de2, 0x100D, "0x0100", eReadWrite}, 
{0x2de4, 0x100C, "0x0100", eReadWrite}, 
{0x2de6, 0x2802, "0x0100", eReadWrite}, 
{0x2de8, 0x5A0E, "0x0100", eReadWrite}, 
{0x2dea, 0x6B0F, "0x0100", eReadWrite}, 
{0x2dec, 0x5A0A, "0x0100", eReadWrite}, 
{0x2dee, 0x6B0B, "0x0100", eReadWrite}, 
{0x2df0, 0x930C, "0x0100", eReadWrite}, 
{0x2df2, 0x23F6, "0x0100", eReadWrite}, 
{0x2df4, 0x930D, "0x0100", eReadWrite}, 
{0x2df6, 0x23F4, "0x0100", eReadWrite}, 
{0x2df8, 0x4130, "0x0100", eReadWrite}, 
{0x2dfa, 0x0000, "0x0100", eReadWrite}, 
{0x2ffe, 0xf000, "0x0100", eReadWrite}, 
{0x3000, 0x02B0, "0x0100", eReadWrite}, 
{0x3002, 0x02B0, "0x0100", eReadWrite}, 
{0x3004, 0x0678, "0x0100", eReadWrite}, 
{0x3006, 0x0278, "0x0100", eReadWrite}, 
{0x3008, 0x0678, "0x0100", eReadWrite}, 
{0x300A, 0x0279, "0x0100", eReadWrite}, 
{0x300C, 0x024A, "0x0100", eReadWrite}, 
{0x300E, 0x024A, "0x0100", eReadWrite}, 
{0x3010, 0x0A42, "0x0100", eReadWrite}, 
{0x3012, 0x0A42, "0x0100", eReadWrite}, 
{0x3014, 0x0242, "0x0100", eReadWrite}, 
{0x3016, 0x0678, "0x0100", eReadWrite}, 
{0x3018, 0x0278, "0x0100", eReadWrite}, 
{0x301A, 0x0678, "0x0100", eReadWrite}, 
{0x301C, 0x0278, "0x0100", eReadWrite}, 
{0x4000, 0x0005, "0x0100", eReadWrite}, 
{0x4002, 0x003D, "0x0100", eReadWrite}, 
{0x4004, 0x0F00, "0x0100", eReadWrite}, 
{0x4006, 0xCF41, "0x0100", eReadWrite}, 
{0x4008, 0x1F04, "0x0100", eReadWrite}, 
{0x400A, 0xDF43, "0x0100", eReadWrite}, 
{0x400C, 0x1F87, "0x0100", eReadWrite}, 
{0x400E, 0x1F87, "0x0100", eReadWrite}, 
{0x4010, 0x1F86, "0x0100", eReadWrite}, 
{0x4012, 0x1FBE, "0x0100", eReadWrite}, 
{0x4014, 0x1F83, "0x0100", eReadWrite}, 
{0x4016, 0x1F04, "0x0100", eReadWrite}, 
{0x4018, 0x1F04, "0x0100", eReadWrite}, 
{0x401A, 0x1F04, "0x0100", eReadWrite}, 
{0x401C, 0x1F04, "0x0100", eReadWrite}, 
 
 
//    EOFIRM
//--------------------------------------------------------------------
// end of software code
//--------------------------------------------------------------------
 
//====================================================================
// sreg setting
//====================================================================
{0x0B00, 0xE1DA, "0x0100", eReadWrite}, 
{0x0B02, 0x0000, "0x0100", eReadWrite}, 
{0x0B04, 0x6DAA, "0x0100", eReadWrite},      // PCP ON : 3.6V
{0x0B06, 0x5BAB, "0x0100", eReadWrite},      // NCP ON : -1.4V
{0x0B08, 0x8085, "0x0100", eReadWrite}, 
{0x0B0A, 0xAA0B, "0x0100", eReadWrite}, 
{0x0B0C, 0xC40C, "0x0100", eReadWrite}, 
//{0x0B0E, 0x9F61, "0x0100", eReadWrite}, 
{0x0B0E, 0xB361, "0x0100", eReadWrite},   // input rng : 600mv
{0x0B10, 0x0010, "0x0100", eReadWrite}, 
{0x0B12, 0x0FFC, "0x0100", eReadWrite},       // Multi-2, noise
{0x0B14, 0x370B, "0x0100", eReadWrite},     
{0x0B16, 0x4A0F, "0x0100", eReadWrite}, 
{0x0B18, 0x0000, "0x0100", eReadWrite}, 
{0x0B1A, 0x9000, "0x0100", eReadWrite}, 
{0x0B1C, 0x1000, "0x0100", eReadWrite}, 
{0x0B1E, 0x0500, "0x0100", eReadWrite}, 
//--------------------------------------------------------------------
// end of sreg setting
//--------------------------------------------------------------------
 
 
// mipi --------------------------------------------------------------
{0x090A, 0x03E8, "0x0100", eReadWrite},            // mipi_vblank_delay_h / l
{0x090C, 0x0020, "0x0100", eReadWrite},            // mipi_hblank_short_delay_h / l
{0x090E, 0x0E00, "0x0100", eReadWrite},       // mipi_hblank_long_delay_h / l
{0x0902, 0x4101, "0x0100", eReadWrite},            // mipi_tx_op_mode1 / mipi_tx_op_mode2
{0x0a02, 0x0100, "0x0100", eReadWrite},            // fast sleep
 
// Interval Time (2byte write)
{0x0910, 0x5D07, "0x0100", eReadWrite},  // mipi_Exit_sequence / mipi_LPX
{0x0912, 0x061e, "0x0100", eReadWrite},  // mipi_CLK_prepare   / mipi_clk_zero
{0x0914, 0x0407, "0x0100", eReadWrite},  // mipi_clk_pre        / mipi_data_prepare
{0x0916, 0x0b0d, "0x0100", eReadWrite},  // mipi_data_zero          / mipi_data_trail  
{0x0918, 0x0f09, "0x0100", eReadWrite},  // mipi_clk_post        / mipi_clk_trail
 
// system ------------------------------------------------------------
{0x0F02, 0x0106, "0x0100", eReadWrite},            // pll_cfg1 / pll_cfg2
{0x0C36, 0x0100, "0x0100", eReadWrite},            // g_sum_ctl / null
 
// tg ----------------------------------------------------------------
{0x0000, 0x0000, "0x0100", eReadWrite},            // image_orient / null
{0x003C, 0x0000, "0x0100", eReadWrite},            // fixed_frame / tg_ctl_0
{0x003E, 0x0000, "0x0100", eReadWrite},            // tg_ctl1 / tg_ctl2
{0x004C, 0x0100, "0x0100", eReadWrite},            // tg_enable / null
{0x0C10, 0x0520, "0x0100", eReadWrite},            // dig_blc_offset_h / l
 
// blc  --------------------------------------------------------------
{0x0C00, 0x3300, "0x0100", eReadWrite},            // blc_ctl1,2 - lblc,lblc_dpc,adp_dead_pxl_th,dither enable
{0x0C02, 0x0000, "0x0100", eReadWrite},            // blc_ctl1,2 - lblc,lblc_dpc,adp_dead_pxl_th,dither enable
{0x0C0E, 0x8500, "0x0100", eReadWrite},            // blc_ctl3,4 - fblc,fblc_dpc,fobp_offset,obp_bypass enable
{0x0C04, 0x800D, "0x0100", eReadWrite},           // analog_ofs_man / blc_dead_pixel_th
{0x0C26, 0x4C18, "0x0100", eReadWrite},            // curr_frm_obp_avg_wgt (x0.6),frm_obp_avg_pga_wgt (x0.75)
//{0x0C12, 0x0040, "0x0100", eReadWrite},         // lobp_dig_gb_offset0 / lobp_dig_gr_offset0
 
// pixel address -----------------------------------------------------
{0x000E, 0x0000, "0x0100", eReadWrite},            // x_addr_start_lobp_h / l
{0x0014, 0x003F, "0x0100", eReadWrite},            // x_addr_end_lobp_h / l
{0x0010, 0x0060, "0x0100", eReadWrite},            // x_addr_start_robp_h / l
{0x0016, 0x009F, "0x0100", eReadWrite},            // x_addr_end_robp_h / l
{0x0012, 0x00C0, "0x0100", eReadWrite},            // x_addr_start_hact_h / l
{0x0018, 0x0ADF, "0x0100", eReadWrite},            // x_addr_end_hact_h / l
{0x0022, 0x0004, "0x0100", eReadWrite},            // y_addr_start_fobp_h / l
{0x0028, 0x000B, "0x0100", eReadWrite},            // y_addr_end_fobp_h / l
{0x0024, 0xFFFA, "0x0100", eReadWrite},       // y_addr_start_dummy_h / l
{0x002A, 0xFFFF, "0x0100", eReadWrite},       // y_addr_end_dummy_h / l
{0x0026, 0x0030, "0x0100", eReadWrite},            // y_addr_start_vact_h / l
{0x002C, 0x07C7, "0x0100", eReadWrite},            // y_addr_end_vact_h / l
{0x0032, 0x0101, "0x0100", eReadWrite},            // y_odd_inc_vact / y_even_inc_vact
 
// size info -----------------------------------------------------
{0x0006, 0x07ca, "0x0100", eReadWrite},       // frame_length_lines_h / l
{0x0008, 0x0B7C, "0x0100", eReadWrite},            // line_length_pck_h / l
{0x0020, 0x0700, "0x0100", eReadWrite},            // x_region_sel / x_region_orient
{0x0034, 0x0700, "0x0100", eReadWrite},            // y_region_sel / y_resion_orient
//{0x0A12, 0x0A2C, "0x0100", eReadWrite},         // x_output_size_h / l
//{0x0A14, 0x07A8, "0x0100", eReadWrite},         // y_output_size_h / l
{0x0112, 0x0A20, "0x0100", eReadWrite},            // x_output_size_h / l
{0x0114, 0x0798, "0x0100", eReadWrite},            // y_output_size_h / l
 
 
// isp control ---------------------------------------------------
//{0x0A04, 0x0101, "0x0100", eReadWrite},         // isp_en_h / l
{0x0110, 0x0101, "0x0100", eReadWrite},            // isp_en_h / l
{0x020A, 0x0002, "0x0100", eReadWrite},            // test_pattern_mode
 
// luminance control ---------------------------------------------
{0x0002, 0x0200, "0x0100", eReadWrite},            // fine_integ_time_h / l
{0x0004, 0x07B7, "0x0100", eReadWrite},            // coarse_integ_time_h / l  33ms
{0x003A, 0x0400, "0x0100", eReadWrite},            // analog_gain_code_global / null 1.2x
 
//==============================================================
// Analog setting tuning Start
//==============================================================
 
// Analog setting tuning @2013.11.02
{0x0036, 0x007F, "0x0100", eReadWrite},            // ramp_init_pofs / ramp_rst_pofs
{0x0038, 0x7F00, "0x0100", eReadWrite},            // ramp_sig_pofs / null
{0x0B0A, 0xB847, "0x0100", eReadWrite},            // Bias setting
{0x0138, 0x0004, "0x0100", eReadWrite},            // d2a_pxl_drv_pwr_hv / d2a_pxl_drv_pwr_lv
{0x013A, 0x0100, "0x0100", eReadWrite},            // d2a_row_idle_ctrl_en
{0x0B04, 0xA9AA, "0x0100", eReadWrite},           // PCP setting : PCP off, NCP max pumping
{0x0B10, 0xF000, "0x0100", eReadWrite},            // vrst
 
// Analog Noise block tuning @2013.11.02 ---------------------------------------------------
{0x0B0C, 0xE26C, "0x0100", eReadWrite},            // noise en, noise idac
{0x0B12, 0x0800, "0x0100", eReadWrite},            // noise cap, noise res
 
//==============================================================
// Analog setting tuning End
//==============================================================
 
// REV.AB setting
{0x0B04, 0x69AA, "0x0100", eReadWrite},        // Max pumping disable, PCP/NCP level = 3.6/-1.4 V
{0x0B08, 0x8085, "0x0100", eReadWrite},        // Reset Clamp Level
{0x0B0A, 0xAC49, "0x0100", eReadWrite},        // Comparator/Pixel current
{0x0B16, 0x440F, "0x0100", eReadWrite},        // Analog Clock Speed
{0x0C10, 0x0532, "0x0100", eReadWrite},        // BLC offset for DDS operation
{0x0138, 0x0104, "0x0100", eReadWrite},        // Rx pcp enable
 
{0x0120, 0x0004, "0x0100", eReadWrite},        // Extra Dynamic Signal Timing Setting
{0x0122, 0x0582, "0x0100", eReadWrite}, 
 
{0x0C00, 0x7B06, "0x0100", eReadWrite},            // blc_ctl1,2 - lblc,lblc_dpc,adp_dead_pxl_th,dither enable
{0x0C04, 0x8004, "0x0100", eReadWrite},            // analog_ofs_man / lblc_dead_pixel_th
{0x0C06, 0x0008, "0x0100", eReadWrite},            // fblc_ofs_wgt / fblc_dead_pixel_th
{0x0C08, 0x0302, "0x0100", eReadWrite},            // dpc pga weight   16 = 1x,   x/16
{0x0C02, 0x1000, "0x0100", eReadWrite},        // blc_ofs_wgt
{0x0C0E, 0xE500, "0x0100", eReadWrite},            // blc_ctl3,4 - fblc,fobp_offset,obp_bypass enable
{0x0C26, 0x4C10, "0x0100", eReadWrite},            // curr_frm_obp_avg_wgt (x0.6),frm_obp_avg_pga_wgt (x1)
 
//========== 20140421 analog tun ===============
{0x0120, 0x0064, "0x0100", eReadWrite},        // Extra Dynamic Signal Timing Setting
{0x0138, 0x0304, "0x0100", eReadWrite},        // Rx,Sx pcp enable
{0x0B04, 0x69AE, "0x0100", eReadWrite},            // PCP ON : 3.6V, pcp pumping cap. control
{0x0B06, 0x5BAF, "0x0100", eReadWrite},            // NCP ON : -1.4V, ncp pumping cap. control
{0x0B0C, 0xE1BC, "0x0100", eReadWrite},            // NC control
{0x013C, 0x0001, "0x0100", eReadWrite},            // pll clk inversion
{0x0B12, 0x5000, "0x0100", eReadWrite},            // ramp clk_div2, 4lsb control enable
 
//========== 20140429 adpc, dpc enable =========
{0x0110, 0x0123, "0x0100", eReadWrite},            // isp_en_h / l
{0x0708, 0x0100, "0x0100", eReadWrite},            // dpc_ctrl1, dpc enable
{0x073C, 0x0100, "0x0100", eReadWrite},            // adaptive dpc th control
//== analog tun
//{0x0138, 0x0204, "0x0100", eReadWrite},          // channel diif dec.
//{0x0B04, 0x692E, "0x0100", eReadWrite},          // channel diff dec.
 
//========== 20140606 mtk tun =========
{0x0C0E, 0xE501, "0x0100", eReadWrite},            // blc_ctl3,4 - line blc on 
{0x0C12, 0x0040, "0x0100", eReadWrite},            // blc offset 64
{0x0B06, 0x59AF, "0x0100", eReadWrite},            // NCP ON : -0.9V, ncp pumping cap. control
 
//========== 20140616 soft standby & dpc tun =========
{0x0708, 0x0100, "0x0100", eReadWrite},  // dpc disable
{0x070a, 0x390b, "0x0100", eReadWrite}, 
{0x0712, 0x643c, "0x0100", eReadWrite}, 
{0x0720, 0xa050, "0x0100", eReadWrite}, 
{0x0726, 0x1428, "0x0100", eReadWrite}, 
{0x0728, 0x2867, "0x0100", eReadWrite}, 
{0x072a, 0x5437, "0x0100", eReadWrite}, 
{0x0734, 0xf070, "0x0100", eReadWrite}, 
{0x0736, 0x0000, "0x0100", eReadWrite}, 
{0x0738, 0x1d3a, "0x0100", eReadWrite}, 
{0x073a, 0x01f2, "0x0100", eReadWrite}, 
{0x073c, 0x0100, "0x0100", eReadWrite},  // mcu on/of
//========== 20140628 dpc disable =========
{0x0708, 0x0000, "0x0100", eReadWrite},  // dpc disable
 
//========== 20140725 analog tun =========
{0x013E, 0x1F23, "0x0100", eReadWrite},   // analog dithering ON, manual control
{0x0140, 0x0004, "0x0100", eReadWrite},   // analog dithering pulse rising
{0x0142, 0x0064, "0x0100", eReadWrite},   // analog dithering pulse falling
{0x0B0A, 0xBD49, "0x0100", eReadWrite},   // CDS amp1,amp2 bias
 
//========== 20140905 analog tun =========
{0x0B04, 0x6A2E, "0x0100", eReadWrite},   // pcp 3.8v
 
{0x0a02, 0x0100, "0x0100", eReadWrite},  // fast sleep
{0x0000 ,0x0000,"eTableEnd",eTableEnd}
};

const IsiRegDescription_t Sensor_g_twolane_resolution_1296_972[] =
{
//=====================================================================
// Preview mode
// Resolution : 1296x972
// MIPI Speed : 440Mbps x 2lane (PCLK 176Mhz)
// Lin length 2940 / Frame length 1980
// Frame rate : max 30.23fps
//=====================================================================
{0x0000, 0x0203,"0x0100",eReadWrite},   //flip on
{0x0118, 0x0000, "0x0100", eReadWrite},            // Sleep On
{0x0032, 0x0101, "0x0100", eReadWrite},            // byrscl_crtl1 / tyrscl_fifo_read_delay (add 140714)
{0x090A, 0x0384, "0x0100", eReadWrite},            // mipi_vblank_delay_h / l
{0x090C, 0x000A, "0x0100", eReadWrite},            // mipi_hblank_short_delay_h / l
{0x090E, 0x03E8, "0x0100", eReadWrite},       // mipi_hblank_long_delay_h / l
{0x0902, 0x4101, "0x0100", eReadWrite},            // mipi_tx_op_mode1 / mipi_tx_op_mode2
{0x0910, 0x5D04, "0x0100", eReadWrite},            //5d03        // mipi_value_exit_seq / mipi_value_lpx
{0x0912, 0x030E, "0x0100", eReadWrite},            // mipi_value_clk_prepare / mipi_value_clk_zeo
{0x0914, 0x0404, "0x0100", eReadWrite},            //0403        // mipi_value_clk_pre / mipi_value_data_prepare
{0x0916, 0x0709, "0x0100", eReadWrite},            // mipi_value_data_zero / mipi_value_data_trail
{0x0918, 0x0c05, "0x0100", eReadWrite},            //0a04        // mipi_value_clk_post / mipi_value_clk_trail
{0x091A, 0x0800, "0x0100", eReadWrite},            // mipi_value_exit / null
 
{0x0B14, 0x370B, "0x0100", eReadWrite},     
{0x0B16, 0x448F, "0x0100", eReadWrite},            // pll_mipi_clk_div
{0x0700, 0xA0A3, "0x0100", eReadWrite},            // byrscl_ctrl1 / byrscl_fifo_read_delay
{0x0012, 0x00C0, "0x0100", eReadWrite},            // x_addr_start_hact_h / l 192
{0x0018, 0x0ADF, "0x0100", eReadWrite},            // x_addr_end_hact_h / l 2783
{0x0026, 0x0030, "0x0100", eReadWrite},            // y_addr_start_vact_h / l 48
{0x002C, 0x07C7, "0x0100", eReadWrite},            // y_addr_end_vact_h / l 1991
{0x0112, 0x0510, "0x0100", eReadWrite},            // x_output_size_h / l 1296
{0x0114, 0x03CC, "0x0100", eReadWrite},            // y_output_size_h / l 972
//{0x0118, 0x0100, "0x0100", eReadWrite},            // Sleep Off
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};

#define DEBUG 1

const IsiRegDescription_t Sensor_g_twolane_resolution_2592_1944[] =
{
//=====================================================================
// Capture mode
// Resolution : 2592x1944
// MIPI Speed : 880Mbps x 2lane (PCLK 176Mhz)
// Lin length 2940 / Frame length 1980
// Frame rate : max 30.23fps
//=====================================================================
{0x0000, 0x0203,"0x0100",eReadWrite},   //flip on
{0x0118, 0x0000, "0x0100", eReadWrite},            // Sleep On
{0x0032, 0x0101, "0x0100", eReadWrite},            // byrscl_crtl1 / tyrscl_fifo_read_delay
{0x090A, 0x03E8, "0x0100", eReadWrite},            // mipi_vblank_delay_h / l
{0x090C, 0x0020, "0x0100", eReadWrite},            // mipi_hblank_short_delay_h / l
{0x090E, 0x0E00, "0x0100", eReadWrite},            // mipi_hblank_long_delay_h / l
{0x0902, 0x4101, "0x0100", eReadWrite},            // mipi_tx_op_mode1 / mipi_tx_op_mode2
{0x0910, 0x5D07, "0x0100", eReadWrite},            // mipi_Exit_sequence / mipi_LPX
{0x0912, 0x061e, "0x0100", eReadWrite},            // mipi_CLK_prepare   / mipi_clk_zero
{0x0914, 0x0407, "0x0100", eReadWrite},            // mipi_clk_pre         / mipi_data_prepare
{0x0916, 0x0b0d, "0x0100", eReadWrite},            //0b0a // mipi_data_zero        / mipi_data_trail  
{0x0918, 0x0f09, "0x0100", eReadWrite},             //0e09 // mipi_clk_post          / mipi_clk_trail
{0x091A, 0x0A00, "0x0100", eReadWrite},            // mipi_value_exit / null
 
{0x0B14, 0x370B, "0x0100", eReadWrite},     
{0x0B16, 0x440F, "0x0100", eReadWrite},            // pll_mipi_clk_div
{0x0700, 0x00A3, "0x0100", eReadWrite},            // byrscl_ctrl1 / byrscl_fifo_read_delay
{0x0012, 0x00C0, "0x0100", eReadWrite},            // x_addr_start_hact_h / l 192
{0x0018, 0x0ADF, "0x0100", eReadWrite},            // x_addr_end_hact_h / l 2783
{0x0026, 0x0030, "0x0100", eReadWrite},            // y_addr_start_vact_h / l 48
{0x002C, 0x07C7, "0x0100", eReadWrite},            // y_addr_end_vact_h / l 1991
{0x0112, 0x0A20, "0x0100", eReadWrite},            // x_output_size_h / l 2592
{0x0114, 0x0798, "0x0100", eReadWrite},            // y_output_size_h / l 1944
//{0x0118, 0x0100, "0x0100", eReadWrite},            // Sleep Off
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}
};

///////////////////////////////////////////////////////////////////////////////////////////////////////////
/* 1296x972 two lane  */
const IsiRegDescription_t Sensor_g_1296x972P30_twolane_fpschg[] =
{
	
	{0x0006, 0x07bc,"0x0100",eReadWrite},//0x07bc=1980
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_1296x972P25_twolane_fpschg[] =
{
	
	{0x0006, 0x095A,"0x0100",eReadWrite},//0x095A=2394
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_1296x972P20_twolane_fpschg[] =
{
	
	{0x0006, 0x0BB1,"0x0100",eReadWrite},//0x0BB1=2993
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}
	
};

const IsiRegDescription_t Sensor_g_1296x972P15_twolane_fpschg[] =
{
	
	{0x0006, 0x0F78,"0x0100",eReadWrite},//0x0F78=3960
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_1296x972P10_twolane_fpschg[] =
{
	
	{0x0006, 0x1734,"0x0100",eReadWrite},//0x1734=5940
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}
	
};
const IsiRegDescription_t Sensor_g_1296x972P7_twolane_fpschg[] =
{
	
	{0x0006, 0x1EF0,"0x0100",eReadWrite},//0x1EF0=7920
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}
	
};
///////////////////////////////////////////////////////////////////////////////////////////////////////////
/* 2592x1944 two lane  */
const IsiRegDescription_t Sensor_g_2592x1944P30_twolane_fpschg[] =
{
	
	{0x0006, 0x07ca,"0x0100",eReadWrite},//0x07ca=1994
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_2592x1944P25_twolane_fpschg[] =
{
	
	{0x0006, 0x0958,"0x0100",eReadWrite},//0x0958=2392
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_2592x1944P20_twolane_fpschg[] =
{
	
	{0x0006, 0x0baf,"0x0100",eReadWrite},//0x0baf=2991
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_2592x1944P15_twolane_fpschg[] =
{
	
	{0x0006, 0x0f94,"0x0100",eReadWrite},//0x0f94=3988
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_2592x1944P10_twolane_fpschg[] =
{
	
	{0x0006, 0x175e,"0x0100",eReadWrite},//0x175e=5982
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};
const IsiRegDescription_t Sensor_g_2592x1944P7_twolane_fpschg[] =
{
	
	{0x0006, 0x1f28,"0x0100",eReadWrite},//0x1f28=7976
	{0x0000 ,0x0000,"eTableEnd",eTableEnd}

};

///////////////////////////////////////////////////////////////////////////////////////////////////////////
//one lane
const IsiRegDescription_t Sensor_g_aRegDescription_onelane[] =
{

	{0x0000 ,0x00,"eTableEnd",eTableEnd}

};

const IsiRegDescription_t Sensor_g_onelane_resolution_2592_1944[] =
{

	{0x0000 ,0x00,"eTableEnd",eTableEnd}

};


const IsiRegDescription_t Sensor_g_onelane_resolution_1296_972[] =
{


	{0x0000 ,0x00,"eTableEnd",eTableEnd}

};

const IsiRegDescription_t Sensor_g_1296x972P30_onelane_fpschg[] =
{
	{0x0000 ,0x00,"eTableEnd",eTableEnd}
};

const IsiRegDescription_t Sensor_g_1296x972P25_onelane_fpschg[] =
{

	{0x0000 ,0x00,"eTableEnd",eTableEnd}
};

const IsiRegDescription_t Sensor_g_1296x972P20_onelane_fpschg[] =
{

	{0x0000 ,0x00,"eTableEnd",eTableEnd}
};

const IsiRegDescription_t Sensor_g_1296x972P15_onelane_fpschg[] =
{

	{0x0000 ,0x00,"eTableEnd",eTableEnd}
};

const IsiRegDescription_t Sensor_g_1296x972P10_onelane_fpschg[] =
{

	{0x0000 ,0x00,"eTableEnd",eTableEnd}
};

const IsiRegDescription_t Sensor_g_2592x1944P10_onelane_fpschg[] =
{

	{0x0000 ,0x00,"eTableEnd",eTableEnd}
};


